﻿CREATE procedure [C6MartPeriodicoImmobiliare].[RP_DM_AREA_BISOGNO]  
AS  
BEGIN  
 -- SET NOCOUNT ON added to prevent extra result sets from  
 -- interfering with SELECT statements.  
 SET NOCOUNT ON;  
    -- Insert statements for procedure here  
 TRUNCATE TABLE C6MartPeriodicoImmobiliare.AREA_BISOGNO  
 DECLARE @ID_ELAB INT  
 SET @ID_ELAB = C6MartPeriodico.GETIDELAB()  
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_DM_AREA_BISOGNO',  
  GETDATE(),  
  'Mart Immobiliare'  
 )  
 INSERT INTO C6MartPeriodicoImmobiliare.[AREA_BISOGNO]  
           ([ID_AREA]  
           ,[NOME_AREA]  
           ,[ORDINAMENTO]  
           ,[ID_ELAB])  
 SELECT   
  LTRIM(RTRIM(Area)) AS ID_AREA,  
  LTRIM(RTRIM(Descrizione)) AS NOME_AREA,  
  Ordinamento AS ORDINAMENTO,  
  @ID_ELAB AS ID_ELAB  
     FROM   C6StagingPeriodicoImmobiliare.RP_NEEDAREA  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_DM_AREA_BISOGNO' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
   WHERE  
    Nome = 'RP_DM_AREA_BISOGNO'  
  )  
END