﻿-- Stored procedure
-- =============================================
-- Author:		Marian Zaki
-- Create date: 18/08/2010
-- Description:	Insert the exception raised for a customer 
--              while generating the diagnosis or the monitoring reports.
-- =============================================
CREATE procedure [C6MartPeriodico].[GESTIONE_INSERT_CUSTOMER_ERROR]
	@rete as char(1), 
    @cod_fiscale as varchar(16),
    @tipoReport as char(1),
	@errorText as text
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
    INSERT INTO [C6MartPeriodico].[Scarti]
           ([Rete]
           ,[Cod_fiscale]
           ,[TipoReport]
           ,[ErrorText])
     VALUES
           (@rete
           ,@cod_fiscale 
           ,@tipoReport
           ,@errorText)
END