﻿CREATE procedure [C6MartPeriodico].[RP_DM_CONTRATTOSEI_20170407.SAVE]  
AS  
-- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_DM_CONTRATTOSEI',  
  GETDATE(),  
  'Elaborazione trimestrale'  
 )  
TRUNCATE TABLE C6MartPERIODICO.CONTRATTOSEI  
INSERT INTO C6MartPERIODICO.CONTRATTOSEI  
SELECT       
 [Rete],  
 [Cod_Fiscale],  
 [PIva_Fiduciaria],  
 [DATA_INZIOAVANZATO] as [Data_Sott],  
 [CodiceContratto],  
 [Cod_Agente],  
 [Data_Perf_Base],  
 [Data_Perf],  
 null as [Fascia_CPP],  
 null as [Email],  
 [Indirizzo],  
 [CAP],  
 [Citta],  
 [Provincia],  
 [Nazione],  
 [Presso],  
 null as[Data_Inizio],  
 [Freq_Diagnosi],  
 [FREQ_MONITORAGGIO],  
 null as [Freq_DiagnosiPrec],  
 null as [Freq_MonitorPrec],  
 null as [Data_InizioConsInv],  
 [Data_InizioBase],  
 [Data_FineBase],  
 [DATA_INZIOAVANZATO],  
 [Data_FineAvanzato],  
 null as [ProgressivoInvio],  
 'N',  
 'N',  
 null as [DataUltimoInvio],  
 [ClienteMigrato],  
 [RisorseNA],  
 null as [PartViaDisinv],  
 [NumSolleciti],  
 [Data_UltimoSollecito],  
 [NumRevoche],  
 [Data_UltimaRevoca],  
 null as [Note],  
 null as [Data_Invio_Diagnosi_Trimestrale],  
 null as [Data_Invio_Monitoraggio_Trimestrale],  
 [ProfiloAttivo],  
 null as [Rol],  
 [TIP_CONTRATTO],  
 [TIP_RIATTIVAZIONE]  
FROM   
    [C6MartPeriodico].[RP_vContrattiPerGenerazioneReport]  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_DM_CONTRATTOSEI' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE  
   WHERE  
    Nome = 'RP_DM_CONTRATTOSEI'  
  )  
UPDATE c6martperiodico.contrattosei  
 set    
   indirizzo        = a.indirizzo  
  ,cap         = a.cap   
  ,citta         = a.citta  
  ,prov         = a.Provincia  
  ,nazione        = a.Nazione  
  ,presso         = a.Presso  
  ,Cod_Agente        = a.Cod_Agente  
  ,Freq_Diagnosi     = a.Freq_Diagnosi  
     ,FREQ_MONITOR      = a.FREQ_MONITORAGGIO  
from c6mart.vcontratti a  
inner join c6martperiodico.contrattosei b  
on a.codicecontratto = b.codicecontratto  
UPDATE contr
set    
   indirizzo        = a.indirizzo  
  ,cap         = a.cap   
  ,citta         = a.citta  
  ,provincia        = a.Prov  
  ,nazione        = a.Nazione  
  ,presso         = a.Presso  
  ,Cod_Agente        = a.Cod_Agente  
  ,Freq_Diagnosi     = a.Freq_Diagnosi  
     ,FREQ_MONITORAGGIO = a.FREQ_MONITOR  
from c6martperiodico.contrattosei a  
inner join [C6StagingPeriodico].[APPO_CONTRATTI] contr 
on a.codicecontratto = contr.codicecontratto
left join  [C6StagingPeriodico].[APPO_CONTRATTI_LIMITER] lim on lim.COD_FISCALE = contr.COD_FISCALE 
and lim.rete = contr.rete
--INIZIO INTERVENTO TEMPORANEO  
--ELIMINARE LE SUCCESSIVE DUE UPDATE DOPO LA TRIMESTRALE DI LUGLIO 2015  
--UPDATE c6martperiodico.contrattosei  
-- set    
--   indirizzo        = a.bindirizzo  
--  ,cap         = a.bcap   
--  ,citta         = a.bcitta  
--  ,prov         = a.bProvincia  
--  ,presso         = a.bPresso  
--from cambio_tot a  
--inner join c6martperiodico.contrattosei b  
--on a.codicecontratto = b.codicecontratto  
--UPDATE C6StagingPeriodico.appo_contratti  
-- set    
--   indirizzo        = a.bindirizzo  
--  ,cap         = a.bcap   
--  ,citta         = a.bcitta  
--  ,provincia        = a.bProvincia  
--  ,presso         = a.bPresso  
--from cambio_tot a  
--inner join C6StagingPeriodico.appo_contratti_v b  
--on a.codicecontratto = b.codicecontratto  
--FINE INTERVENTO TEMPORANEO  
-- Allineamento Flag Rol su contratto sei  
Update C6MartPeriodico.ContrattoSei  
Set Rol = Case D.statorol  
    When 'S' then D.statorol  
    Else 'N'  
    End,  
    EmAil = Case d.alertrol  
    When 'S' then D.Email  
    End        
from  C6MartPeriodico.ContrattoSei C inner join  C6StagingPeriodico.datiRol2 D  
on d.codContratto = c.codiceContratto  
----INIZIO INTERVENTO TEMPORANEO  
---- Aggiornamento rol per 59 fiduciare FScirocco _VERIFICARE POST TRIM SE L'INTERVENTO DEVE RIMANERE A REGIME O MENO (chiedere ogni trimestrale)  
--UPDATE C6MARTPERIODICO.CONTRATTOSEI  
--SET ROL = 'S'   
--WHERE COD_FISCALE IN  
--('FF@1602'  
--,'FF@1832'  
--,'FF@2103'  
--,'FF@2168'  
--,'FF@2464'  
--,'FF@3033'  
--,'FF@3151'  
--,'FF@3329'  
--,'FF@3444'  
--,'FF@4055'  
--,'FF@4461'  
--,'FF@5052'  
--,'FF@5076'  
--,'FF@5758'  
--,'FF@5952'  
--,'FF@6221'  
--,'FF@6368'  
--,'FF@6606'  
--,'FF@6777'  
--,'FF@7104'  
--,'FF@7171'  
--,'FF@7185'  
--,'FF@7317'  
--,'FF@7522'  
--,'FF@7699'  
--,'FF@7763'  
--,'FF@7837'  
--,'FF@7986'  
--,'FF@8095'  
--,'FF@8101'  
--,'FF@8398'  
--,'FF@8724'  
--,'FF@8798'  
--,'FF@8799'  
--,'FF@8800'  
--,'FF@8877'  
--,'FF@8880'  
--,'FF@8881'  
--,'FF@8882'  
--,'FF@8996'  
--,'FF@9022'  
--,'FF@9220'  
--,'FF@9285'  
--,'FF@9318'  
--,'FF@9323'  
--,'FF@9338'  
--,'FF@9578'  
--,'FF@9593'  
--,'FF@9662'  
--,'FF@5044'  
--,'FF@5226'  
--,'FF@7205'  
--,'FF@7774'  
--,'FF@8797'  
--,'FF@8861'  
--,'FF@8885'  
--,'FF@9204'  
--,'FF@9418'  
--,'FF@9661')  
----FINE INTERVENTO TEMPORANEO