﻿CREATE procedure [C6StagingPeriodico].[RP_ST_ClientePB]  
AS  
BEGIN  
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_ClientePB',  
  GETDATE(),  
  'Elaborazione Trimestrale'  
 )  
 truncate table C6StagingPeriodico.RP_ClientePB  
 insert into C6StagingPeriodico.RP_ClientePB  
 select   
 chiaveClientePB,  
 chiaveCliente,  
 chiavePB,  
 idQuestionario,  
 profilo,  
 frequenza,  
 null,  
 null,  
 tipologia,  
 null   
 from [CONSUNI_PERIODICO].ConsulenzaUnica.dbo.ClientePB  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_ClientePB' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_ST_ClientePB'  
  )  
END