﻿CREATE procedure [C6StagingPeriodico].[RP_ST_DettImmobiliare_20190205_ProQuota] as  
begin   
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_DettImmobiliare',  
  GETDATE(),  
  'Elaborazione Trimestrale'  
 )  
 truncate table C6StagingPeriodico.RP_DettImmobiliare_20190205_ProQuota
 insert into C6StagingPeriodico.RP_DettImmobiliare_20190205_ProQuota
 /* 21/05/2015FCianfa e LM: sostituzione della select * con la select puntuale e valorizzazione a NULL di campi non più utilizzati.   
 Sostituzione del campo valore immobile con valoreimmobiletotale per l'evolutiva patrimonio immobiliare.  
 select *  from [CONSEVO_PERIODICO].[consulenzaEvoluta].dbo.DettImmobiliare*/  
 select  
	[chiaveProdottoTerzi],  
	[descrizione],  
	[codProvincia],  
	[provincia],  
	[codComune],  
	[comune],  
	[codZona],  
	[zona],  
	[superficie],  
	NULL,  
	NULL,  
	NULL,  
	--[valoreImmobile],  
	[valoreImmobileTotale],  
	NULL,  
	[renditaAnnua],  
	NULL,  
	NULL,  
	NULL,  
	NULL,  
	NULL,  
	[codTipologia],  
	[tipologia]
	-- modifica del 05/02/2019 per il ProQuota
	,[valoreImmobile],
	[TipologiaDiritto],
	[QuotaProprieta]
	-- fine modifica del 05/02/2019 per il ProQuota
 from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.DettImmobiliare  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_DettImmobiliare' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_ST_DettImmobiliare'  
  )  
end