﻿CREATE procedure [C6StagingPeriodico].[RP_ST_InfoCliente_20171031]  
AS  
BEGIN  
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_InfoCliente',  
  GETDATE(),  
  'Elaborazione Trimestrale'  
 )  
 truncate table C6StagingPeriodico.RP_InfoCliente  
 insert into C6StagingPeriodico.RP_InfoCliente  
 --select * into C6StagingPeriodico.RP_Cliente from [CONSEVO].consulenzaUnica.dbo.Cliente  
 select   
 [chiaveClientePB]  
      ,[chiaveCliente]  
      ,[codFis]  
      ,[pIva]  
      ,[codMan]  
      ,[NomeCliente]  
      --,[CognomeCliente]  
      ,SUBSTRING([CognomeCliente], 1, 50) -- TOPPA INSERITA PERCHé MODIFCA NON COMUNICATA A REPORTISTA BATCH per errore staging_f1_main in data 08/07/2015  
      ,[tipologia]  
      ,[dtScadQuest]  
      ,[profilo]  
      ,[dtQuestionario]  
      ,[frequenza]  
      ,[Agente]  
      ,[NomePb]  
      ,[CognomePb]  
      ,[StatoPb]  
      ,[rete]  
      ,[codiceContratto]  
      ,[StatoContratto]  
      ,[dtFirmaBase]  
      ,[dtEndBase]  
      ,[dtFirmaSei]  
      ,[dtEndSei]  
      ,[rendicSemestrale]  
      ,[dtNascita]  
      ,[sesso]  
      ,[TipContratto]  
      ,[ModPagamento]  
      ,[chiavePB]  
      ,[flagrol]  
       from [CONSUNI_PERIODICO].consulenzaUnica.dbo.vInfoCliente  
    --EN20160428: clienti di tipologia catastali non sono presenti sul sistema  
    --            sistema SEI e quindi da escludere ma quelli con tipologia NULL  
    --            son da includere. (senza modifica per FF@9133 non viene caricata l'anagrafica)    
       --where tipologia != 'c'  
    where ISNULL(tipologia,'') != 'c'  
	----------- Modifica del 15/9/2017 per escluedere i seguenti cf doppi senza toccare il db del congelato
		--chiaveClientePB(giusta)		COD_FISCALE			COD_MANDATO	PIVA_FIDUCIARIA	COD_AGENTE	rete	codiceContratto
		--615359						BRDRRT69R21L378Q								005861		S		503566CO806
		--1667717						CSTPLA70M67F952U								006473		S		621961CO810
		--674782						CHRGLL44C55Z112E	NULL						006302		S		696334CO810
	---- da escludere perché doppi sulla cliente
		--chiaveClientePB		chiaveCliente	codFis
		--1830328				1648328			BRDRRT69R21L378Q
		--1830432				1452802			CSTPLA70M67F952U	NULL	NULL	PAOLA
		--1818279				1636055			CHRGLL44C55Z112E	NULL			GISELA ELISABETH WILHELMI
	and [chiaveClientePB] not in (1830328,1830432,1818279)
	----------- FINE Modifica del 15/9/2017 
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_InfoCliente' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_ST_InfoCliente'  
  )  
END