﻿CREATE procedure [wh].[MERGED_PROCEDURE_S85]
AS
BEGIN
	SET NOCOUNT ON;
		SELECT
		   [RETE]
		  ,[COD_FISCALE]
		  ,[ID_AREA]
		  ,isnull([NOME_PROGETTO],'XXX') as NOME_PROGETTO
		  ,[TIPO_PROGETTO]
		  ,[PERC_AREA]
		  ,[CTV_PROGETTO]
		  ,[CTV_AREA]
		  ,[ORIZZ_TEMP_NUM]
		  ,[ORIZZ_TEMP]
		  ,[CTV_TOTALE]
		  ,[STATO_CONSULENZA]
		  ,[DATA_STATO_CONS]
		  ,[DATA_MIGR_CONS]
		  ,[ID_CONTRATTO]
		  ,[ORDINAMENTO_PROGETTO]
		  ,[ID_ELAB]
		  ,[TIPO_ELAB]
	into #pir_mod_xxx
	  FROM [C6MartPeriodico].[PIRAMIDE_MOD]
	--select * from #pir_mod_xxx where cod_fiscale = 'FF@7181'
	INSERT INTO WH.PL_S85RendimentoPortafoglioCono
	SELECT 'C6MartPeriodico.PL_S85RendimentoPortafoglioCono' as ProcedureName, CONO.RETE as i_rete ,CONO.COD_FISCALE as i_codiceFiscale,
			CONO.ID_AREA AS NEED_AREA,
			CASE
				WHEN CONO.NOME_PROGETTO = 'XXX' THEN ''
				ELSE CONO.NOME_PROGETTO
			END AS NOME_PROGETTO,
			cono.ordinamento_progetto,
			CONO.DATA_CONO,
			CONO.SCENARIO_OTTIMISTICO AS OTTIMISTICO,
			CONO.SCENARIO_PESSIMISTICO AS PESSIMISTICO,
			isnull(PIRMOD.ORIZZ_TEMP_NUM,0) * 12 AS ORIZZONTE_MESI,
			MONIT.RENDIMENTO_CUMULATO AS RENDIMENTO,
			MONIT.DATA_CTV AS DATA_MONIT
		FROM
			C6MartPeriodico.CONO_PIANIFICAZIONE AS CONO
		INNER JOIN C6MartPeriodico.MONITORAGGIO_ATTUALE AS MONIT
			ON CONO.RETE = MONIT.RETE
			AND CONO.COD_FISCALE = MONIT.COD_FISCALE
			AND CONO.ID_AREA = MONIT.ID_AREA
			AND CONO.NOME_PROGETTO = MONIT.NOME_PROGETTO
			And cono.ordinamento_progetto=monit.ordinamento_progetto --l'ordinamento progetto è sempre pari alla chiaveprogetto e non idmonitoraggio
		INNER JOIN #pir_mod_xxx as PIRMOD
			ON CONO.RETE = PIRMOD.RETE
			AND CONO.COD_FISCALE = PIRMOD.COD_FISCALE
			AND CONO.ID_AREA = PIRMOD.ID_AREA
			AND CONO.NOME_PROGETTO = PIRMOD.NOME_PROGETTO
			And cono.ordinamento_progetto=pirmod.ordinamento_progetto
	--	INNER JOIN C6MartPeriodico.PIRAMIDE_MOD AS PIRMOD
	--		ON CONO.RETE = PIRMOD.RETE
	--		AND CONO.COD_FISCALE = PIRMOD.COD_FISCALE
	--		AND CONO.ID_AREA = PIRMOD.ID_AREA
	--		AND CONO.NOME_PROGETTO = PIRMOD.NOME_PROGETTO
		ORDER BY CONO.DATA_CONO
		drop table #pir_mod_xxx
END