﻿CREATE VIEW [C6MartPeriodico].[vPatrimonioNonRappresentabileAsset_2]
AS
SELECT 	
			RETE,
			COD_FISCALE,
			SUM(Controvalore) as Controvalore
	FROM (
			SELECT 	
					PATRBF.RETE,
					PATRBF.COD_FISCALE,
					PATRBF.CTV as Controvalore
			FROM C6MARTPERIODICO.PATRIMONIO_BF PATRBF
			INNER JOIN C6MARTPERIODICO.ANAG_PRODOTTI ANAGP
				ON PATRBF.COD_PRODOTTO = ANAGP.COD_PRODOTTO
			LEFT OUTER JOIN C6MARTPERIODICO.ASSET_PERC ASSETPERC 
				ON PATRBF.COD_PRODOTTO = ASSETPERC.COD_PRODOTTO
				AND ASSETPERC.LIVELLO = 1
			WHERE
				PATRBF.TIPO_PRODOTTO NOT IN ('ASUL','CC')
				AND ASSETPERC.COD_PRODOTTO IS NULL
			UNION ALL
			SELECT  
					PATRBF.RETE,
					PATRBF.COD_FISCALE,
					ASUL.CTV as Controvalore
			FROM C6MARTPERIODICO.PATRIMONIO_BF PATRBF
			INNER JOIN C6MARTPERIODICO.ANAG_PRODOTTI ANAGP
				ON PATRBF.COD_PRODOTTO = ANAGP.COD_PRODOTTO
			INNER JOIN C6MARTPERIODICO.DETTAGLIO_ASUL ASUL
				ON PATRBF.RETE = ASUL.RETE
					AND PATRBF.COD_FISCALE = ASUL.COD_FISCALE
					AND PATRBF.ID_CONTRATTO = ASUL.ID_CONTRATTO
			LEFT OUTER JOIN C6MARTPERIODICO.ASSET_PERC ASSETPERC
				ON ASSETPERC.COD_PRODOTTO = ASUL.COD_PRODOTTO
				AND ASSETPERC.LIVELLO = 1
			WHERE 
				PATRBF.TIPO_PRODOTTO = 'ASUL'
				AND ASSETPERC.COD_PRODOTTO IS NULL
		) PATR_NO_RAPPR
	GROUP BY 
			RETE,
			COD_FISCALE