﻿-- N.B. NON MODIFICARE MAI QUESTA TABELLA, ALTRIMENTI SI INVIANO DELLE EMAIL SBAGLIATE (TABELLA GESTIONE_EMAIL) AL CLIENTE
CREATE VIEW [C6Mart].[RP_vTuttiIContratti]
AS
SELECT    
	Rete, 
	Cod_Agente, 
	case
		when(isnull(cod_mandato,'') <> '')
			then 'FF@'+cod_mandato
			else Cod_Fiscale
	end as Cod_fiscale, 
	PIva_Fiduciaria, 
	CodiceContratto, 
	Freq_Monitoraggio, 
	Freq_Diagnosi, 
	ProfiloAttivo,
	Profilo_EC, --aggiunto 30/06/2022 
	'G' AS TipoElaborazione, 
	CASE 
		WHEN (DATEDIFF(DAY,Data_InizioBase, Data_INZIOAVANZATO) > 0) 
			THEN 1 
			ELSE 0 END 
	AS AdesioneSuccessivaAvanzato, 
	InvioBenvenuto, 
	ClienteMigrato, 
	RisorseNa, 
	NumRevoche, 
    null as PartViaDisinv, --ma serve????
    Data_Perf
    ,a.TIP_CONTRATTO --DA REPLAT Rilascio nuova gestione Private/Affluent
    ,riattivazione as tip_riattivazione --DA REPLAT Rilascio nuova gestione Private/Affluent
    ,a.chiaveClientePb --V Serve nella [C6Mart].[RP_AggiornaFlagContratto] per facilitare i join
	,a.TipoConsulenza
	,a.DATA_INZIOAVANZATO as Data_InizioAvanzato
--select *
FROM 
    C6Mart.VCONTRATTI a
JOIN
	C6Mart.CONTRATTOSEI_METADATI b
ON
	a.chiaveClientePB = b.chiaveClientePB
WHERE     1 = 1 
AND (InvioBenvenuto = 'N') 
AND (isnull(Data_FineAvanzato,'99990101') > getDate()) 
and a.rete+a.COD_FISCALE not in ( select rete+COD_FISCALE from C6Mart.contratti_da_escludere)
UNION ALL
SELECT  
	a.Rete, 
	Cod_Agente, 
	case
		when(isnull(cod_mandato,'') <> '')
			then 'FF@'+cod_mandato
			else a.Cod_Fiscale
	end as Cod_fiscale, 
	PIva_Fiduciaria, 
	CodiceContratto, 
	Freq_Monitoraggio, 
	Freq_Diagnosi, 
	ProfiloAttivo, 
	Profilo_EC, -- aggiunto 30 Giugno 2022
	'G' AS TipoElaborazione, 
	CASE 
		WHEN (DATEDIFF(DAY,Data_InizioBase, Data_INZIOAVANZATO) > 0) 
			THEN 1 
			ELSE 0 END 
	AS AdesioneSuccessivaAvanzato, 
	InvioBenvenuto, 
	ClienteMigrato, 
	RisorseNa, 
	NumRevoche, 
    null as PartViaDisinv, --ma serve????
    Data_Perf
     ,a.TIP_CONTRATTO --DA REPLAT Rilascio nuova gestione Private/Affluent
    ,riattivazione as tip_riattivazione --DA REPLAT Rilascio nuova gestione Private/Affluent
	 ,a.chiaveClientePb --V Serve nella [C6Mart].[RP_AggiornaFlagContratto] per facilitare i join
	,a.TipoConsulenza
	,a.DATA_INZIOAVANZATO
FROM 
    C6Mart.VCONTRATTI a
JOIN
	C6Mart.CONTRATTOSEI_METADATI b
ON
	a.chiaveClientePB = b.chiaveClientePB
JOIN
    C6Mart.GESTIONE_EMAIL AS ge 
ON a.Cod_Fiscale = ge.Cod_Fiscale AND a.Rete = ge.Rete AND ge.Tipo = 'PERF' AND ge.data_invio IS NULL
WHERE     1 = 1 
AND (InvioBenvenuto = 'S') 
AND (isnull(Data_FineAvanzato,'99990101') > getDate()) 
and a.rete+a.COD_FISCALE not in ( select rete+COD_FISCALE from C6Mart.contratti_da_escludere)
--pezzotto 20240710
UNION ALL
SELECT    
	Rete, 
	Cod_Agente, 
	case
		when(isnull(cod_mandato,'') <> '')
			then 'FF@'+cod_mandato
			else Cod_Fiscale
	end as Cod_fiscale, 
	PIva_Fiduciaria, 
	CodiceContratto, 
	Freq_Monitoraggio, 
	Freq_Diagnosi, 
	ProfiloAttivo,
	Profilo_EC, --aggiunto 30/06/2022 
	'G' AS TipoElaborazione, 
	CASE 
		WHEN (DATEDIFF(DAY,Data_InizioBase, Data_INZIOAVANZATO) > 0) 
			THEN 1 
			ELSE 0 END 
	AS AdesioneSuccessivaAvanzato, 
	InvioBenvenuto, 
	ClienteMigrato, 
	RisorseNa, 
	NumRevoche, 
    null as PartViaDisinv, --ma serve????
    Data_Perf
    ,a.TIP_CONTRATTO --DA REPLAT Rilascio nuova gestione Private/Affluent
    ,riattivazione as tip_riattivazione --DA REPLAT Rilascio nuova gestione Private/Affluent
    ,a.chiaveClientePb --V Serve nella [C6Mart].[RP_AggiornaFlagContratto] per facilitare i join
	,a.TipoConsulenza
	,a.DATA_INZIOAVANZATO as Data_InizioAvanzato
--select *
FROM 
    C6Mart.VCONTRATTI a
JOIN
	C6Mart.CONTRATTOSEI_METADATI b
ON
	a.chiaveClientePB = b.chiaveClientePB
where COD_FISCALE in (
'BLDFMN67E66F689Z',
'BCCSHR68B66H433Z',
'BCCKZN84M56H433K'
)
--fine pezzotto
/*
UNION ALL
SELECT     C6.Rete, Cod_Agente, C6.Cod_Fiscale, PIva_Fiduciaria, CodiceContratto, Freq_Monitor, Freq_Diagnosi, ProfiloAttivo, 'G' AS TipoElaborazione, CASE WHEN (DATEDIFF(DAY, 
                      Data_InizioBase, Data_Sott) > 0) THEN 1 ELSE 0 END AS AdesioneSuccessivaAvanzato, InvioBenvenuto, ClienteMigrato, RisorseNa, NumRevoche, 
                      PartViaDisinv, Data_Perf, TIP_CONTRATTO,tip_riattivazione
FROM         C6Mart.CONTRATTOSEI AS C6 INNER JOIN
                      C6Mart.GESTIONE_EMAIL AS ge ON C6.Cod_Fiscale = ge.Cod_Fiscale AND C6.Rete = ge.Rete AND ge.Tipo = 'PERF' AND ge.data_invio IS NULL
WHERE     (1 = 1) AND InvioBenvenuto = 'S' AND (Data_FineAvanzato IS NULL)
*/