﻿CREATE VIEW [C6Mart].[RP_vTuttiIContratti_AND]
AS
SELECT    
	Rete, 
	Cod_Agente, 
	case
		when(isnull(cod_mandato,'') <> '')
			then 'FF@'+cod_mandato
			else Cod_Fiscale
	end as Cod_fiscale, 
	PIva_Fiduciaria, 
	CodiceContratto, 
	Freq_Monitoraggio, 
	Freq_Diagnosi, 
	ProfiloAttivo, 
	'G' AS TipoElaborazione, 
	CASE 
		WHEN (DATEDIFF(DAY,Data_InizioBase, Data_INZIOAVANZATO) > 0) 
			THEN 1 
			ELSE 0 END 
	AS AdesioneSuccessivaAvanzato, 
	InvioBenvenuto, 
	ClienteMigrato, 
	RisorseNa, 
	NumRevoche, 
    null as PartViaDisinv, --ma serve????
    Data_Perf 
    ,a.TIP_CONTRATTO --DA REPLAT Rilascio nuova gestione Private/Affluent
    ,riattivazione as tip_riattivazione --DA REPLAT Rilascio nuova gestione Private/Affluent
    ,a.chiaveClientePb --V Serve nella [C6Mart].[RP_AggiornaFlagContratto] per facilitare i join
FROM C6Mart.VCONTRATTI a
JOIN C6Mart.CONTRATTOSEI_METADATI b
ON a.chiaveClientePB = b.chiaveClientePB