﻿CREATE VIEW [C6Mart].[vPatrimonioTerziAggregato]
AS
SELECT     
	RETE, 
	COD_FISCALE, 
	SUM(ROUND(CTV,2)) as CTV,
	SUM(ROUND(CASE WHEN TIPO_PRODOTTO = 'Conti correnti' THEN 0 ELSE CTV END,2))  AS ControvaloreSenzaCC,
	SUM(ROUND(CASE WHEN TIPO_PRODOTTO = 'Conti correnti' THEN CTV ELSE 0 END,2)) AS ControvaloreCC
FROM
	C6Mart.PATRIMONIO_TERZI
GROUP BY 
	RETE, 
	COD_FISCALE