﻿CREATE VIEW dbo.[S25_DATIANAGRAFICI]
AS
SELECT     C6Mart.ANAG_CLIENTI.NOME + ' ' + C6Mart.ANAG_CLIENTI.COGNOME + ' (' + C6Mart.ANAG_CLIENTI.COD_FISCALE + ')' AS cliente, 
                      C6Mart.ANAG_CLIENTI.DATA_NASCITA, C6Mart.ANAG_CLIENTI_PREV.PROFESSIONE, C6Mart.ANAG_CLIENTI.STATO_CIVILE, 
                      CASE WHEN COALESCE (C6Mart.ANAG_CLIENTI.num_figli, 0) 
                      <> 0 THEN C6Mart.ANAG_CLIENTI.num_componenti + ' (' + C6Mart.ANAG_CLIENTI.num_figli + ')' ELSE C6Mart.ANAG_CLIENTI.num_componenti END AS nucleo,
                       C6Mart.ANAG_CLIENTI.INDIRIZZO + ' -' + C6Mart.ANAG_CLIENTI.CAP + ' - ' + C6Mart.ANAG_CLIENTI.LOCALITA + ' - (' + C6Mart.ANAG_CLIENTI.PROVINCIA
                       + ')' AS Expr1, C6Mart.ANAG_CLIENTI.COD_FISCALE, NULL AS cod_pb, C6Mart.ANAG_CONTRATTI.RETE, C6Mart.ANAG_CONTRATTI.ID_CONTRATTO, 
                      C6Mart.ANAG_CONTRATTI.STATO AS StatoContratto, C6Mart.ANAG_CONTRATTI.DATA_SOTTOSCRIZIONE, C6Mart.ANAG_CONTRATTI.DATA_PERF, 
                      C6Mart.ANAG_CC.FASCIA_CPP, C6Mart.ANAG_CLIENTI.E_MAIL, NULL AS produzioneReport, C6Mart.ANAG_CLIENTI.INDIRIZZO, 
                      C6Mart.ANAG_CLIENTI.CAP, C6Mart.ANAG_CLIENTI.LOCALITA, C6Mart.ANAG_CLIENTI.PROVINCIA, C6Mart.ANAG_CLIENTI.NAZIONE, NULL AS presso, 
                      C6Mart.DATI_REPORT.FLAG_REPORT, C6Mart.ANAG_PROMOTORI.ID_PROMOTORE AS CodicePB
FROM         C6Mart.ANAG_CC INNER JOIN
                      C6Mart.ANAG_CLIENTI ON C6Mart.ANAG_CC.RETE = C6Mart.ANAG_CLIENTI.RETE INNER JOIN
                      C6Mart.ANAG_CONTRATTI ON C6Mart.ANAG_CC.RETE = C6Mart.ANAG_CONTRATTI.RETE INNER JOIN
                      C6Mart.ANAG_CLIENTI_PREV ON C6Mart.ANAG_CC.RETE = C6Mart.ANAG_CLIENTI_PREV.RETE INNER JOIN
                      C6Mart.DATI_REPORT ON C6Mart.ANAG_CC.RETE = C6Mart.DATI_REPORT.RETE INNER JOIN
                      C6Mart.ANAG_PROMOTORI ON C6Mart.ANAG_CC.RETE = C6Mart.ANAG_PROMOTORI.RETE