﻿create PROCEDURE [C6MartPeriodicoImmobiliare].[updateRichiesteMonitoraggioCatastoClienteCong] 
    @chiaveRichiesta int,
    @rete varchar(1), 
    @codFis varchar(16),
    @rfa decimal(19,7),
    @diversificazione decimal(19,7),
    @var decimal(19,7),
    @dtRiferimento varchar(8)   
AS
BEGIN
declare @exit_status	numeric
  begin transaction
  set @exit_status = 0
  UPDATE CONSUNI.ConsulenzaUnicaFL.dbo.Immobiliare_RichiesteMonitoraggioCatastoCliente
  SET
    rfa = @rfa
    ,diversificazione = @diversificazione
    ,[var] = @var
    ,dtRiferimento = @dtRiferimento
  WHERE rete = @rete AND codfis = @codFis AND chiaveRichiesta = @chiaveRichiesta
  set @exit_status = @@ROWCOUNT
  commit transaction
END