﻿-- [C6MartPeriodico].[GESTIONE_C6_S_Generator] 1, 4, 'T'
-- [C6MartPeriodico].[GESTIONE_C6_S_Generator] 1, 5, 'T' diagnosi
-- [C6MartPeriodico].[GESTIONE_C6_S_Generator] 4, 13, 'T' (monitoraggio,private,trim)
-- [C6MartPeriodico].[GESTIONE_C6_S_Generator] 4, 12, 'T' (monitoraggio,old/affluent,trim)
CREATE procedure [C6MartPeriodico].[GESTIONE_C6_S_Generator_OLD]
@idReport as int,
@idModello as int,
@periodicita as varchar(1) = 'T'
AS
BEGIN
	SET NOCOUNT ON;
-- CREO LA TABELLA #R6Capitolopdf
SELECT  dboPeriodico.R6Capitolo.id, 
		dboPeriodico.R6Capitolo.titolo, 
		dboPeriodico.R6Capitolo.testo,
		dboPeriodico.R6Capitolo.testoAlternativo,
		dboPeriodico.R6Capitolo.nuovapagina, 
		dboPeriodico.R6Capitolo.queryOracle, 
		dboPeriodico.R6Capitolo.querySql,
		dboPeriodico.R6Capitolo.querySqlPeriodico
into #R6CAPITOLOPDF  
FROM   
dboPeriodico.ReportSezionePers AS a INNER JOIN
dboPeriodico.R6_SezioneR6Capitolo AS b ON a.IdSezione = b.IdSezione INNER JOIN
dboPeriodico.R6Capitolo ON b.IdCapitoloPDF = dboPeriodico.R6Capitolo.id
where a.idreport = @idModello
-- CREO LA TABELLA #R6ParagrafoPDF
SELECT  dboPeriodico.R6Paragrafo.id, 
		dboPeriodico.R6Paragrafo.titolo, 
		dboPeriodico.R6Paragrafo.testo, 
		dboPeriodico.R6Paragrafo.queryOracle, 
		dboPeriodico.R6Paragrafo.querySql, 
		dboPeriodico.R6Paragrafo.querySqlPeriodico,
		dboPeriodico.R6Paragrafo.SottoTitoloQuery,
		dboPeriodico.R6Paragrafo.SpazioNecessarioSezioneSuccessiva	
into #R6PARAGRAFOPDF   
FROM  dboPeriodico.ReportSezionePers AS a INNER JOIN
               dboPeriodico.R6_SezioneR6Paragrafo AS b ON a.IdSezione = b.IdSezione INNER JOIN
               dboPeriodico.R6Paragrafo ON b.IdParagrafoPDF = dboPeriodico.R6Paragrafo.id
				where a.idreport = @idModello
-- CREO LA TABELLA #R6SEZIONEPDF
SELECT 
		dboPeriodico.R6Sezione.id, 
		dboPeriodico.R6Sezione.codice, 
		dboPeriodico.R6Sezione.queryOracle, 
		dboPeriodico.R6Sezione.querySql, 
		dboPeriodico.R6Sezione.querySqlPeriodico,
		dboPeriodico.R6Sezione.ordineQueryOracle, 
		dboPeriodico.R6Sezione.ordineQuerySql
		--R6Sezione.nuovaPaginaDopo
into #R6SEZIONEPDF 
FROM  dboPeriodico.ReportSezionePers AS a INNER JOIN
               dboPeriodico.R6_SezioneR6Sezione AS b ON a.IdSezione = b.idFkSezione INNER JOIN
               dboPeriodico.R6Sezione ON b.idFkC6Sezione = dboPeriodico.R6Sezione.id
WHERE (a.IdReport = @idModello)
SELECT  DISTINCT #R6CAPITOLOPDF.id as idCapitolo
		,dboPeriodico.R6ReportR6Capitolo.ordineCapitolo as ordineCapitolo
		,#R6CAPITOLOPDF.titolo as titoloCapitolo
		,#R6CAPITOLOPDF.testo as testoCapitolo
		,#R6CAPITOLOPDF.testoAlternativo as testoCapitoloAlternativo
		,#R6CAPITOLOPDF.nuovapagina as nuovaPaginaCapitolo
--		,#R6CAPITOLOPDF.queryOracle as queryOracleCapitolo		
,Case when @periodicita = 'G' then  isnull(#R6CAPITOLOPDF.querySql,'') else
 Case when @periodicita = 'T' then  isnull(#R6CAPITOLOPDF.querySqlPeriodico,'')	
 END END as querySqlCapitolo	
		,#R6PARAGRAFOPDF.id as idParagrafo
		,dboPeriodico.R6CapitoloR6Paragrafo.ordineParagrafo as ordineParagrafo
		,#R6PARAGRAFOPDF.titolo as titoloParagrafo
		,#R6PARAGRAFOPDF.sottoTitoloQuery as sottoTitoloParagrafo
		,#R6PARAGRAFOPDF.testo as testoParagrafo
		,#R6PARAGRAFOPDF.spazioNecessarioSezioneSuccessiva as spazioNecessarioSezioneSuccessiva	
--		,isnull(#R6PARAGRAFOPDF.queryOracle,'') as queryOracleParagrafo
,Case when @periodicita = 'G' then  isnull(#R6PARAGRAFOPDF.querySql,'') else
 Case when @periodicita = 'T' then  isnull(#R6PARAGRAFOPDF.querySqlPeriodico,'')	
 END END as querySqlParagrafo
		,dboPeriodico.R6CapitoloR6Paragrafo.indicizzato as indicizzatoParagrafo		
		,dboPeriodico.R6ParagrafoR6Sezione.ordineSezione as ordineSezione
		,#R6SEZIONEPDF.id as idSezione
		,#R6SEZIONEPDF.codice as codiceSezione
--		,isnull(#R6SEZIONEPDF.queryOracle,'') as queryOracleSezione
,Case when @periodicita = 'G' then  isnull(#R6SEZIONEPDF.querySql,'') else
 Case when @periodicita = 'T' then  isnull(#R6SEZIONEPDF.querySqlPeriodico,'')	
 END END as querySqlSezione
		,dboPeriodico.R6ParagrafoR6Sezione.indicizzato as indicizzatoSezione
		,dboPeriodico.R6ParagrafoR6Sezione.filtroDataView as filtroSezione
		,dboPeriodico.R6ParagrafoR6Sezione.titolo as titoloSezione
		,isnull(dboPeriodico.R6ParagrafoR6Sezione.testo,'') as testoSezione
		,isnull(dboPeriodico.R6ParagrafoR6Sezione.testo1 ,'') as testoSezioneAlternativo
		,isnull(dboPeriodico.R6ParagrafoR6Sezione.nota,'') as notaSezione
		,isnull(dboPeriodico.R6ParagrafoR6Sezione.nota1,'') as notaSezioneAlternativo,
		dboPeriodico.R6ParagrafoR6Sezione.nuovaPaginaDopo as nuovaPaginaDopo
		--,#R6SEZIONEPDF.nuovaPaginaDopo as nuovaPaginaDopo
INTO #TABV
FROM  #R6SEZIONEPDF
INNER JOIN dboPeriodico.R6ParagrafoR6Sezione ON #R6SEZIONEPDF.id = dboPeriodico.R6ParagrafoR6Sezione.idFkSezione 
INNER JOIN #R6PARAGRAFOPDF ON dboPeriodico.R6ParagrafoR6Sezione.idFkParagrafo = #R6PARAGRAFOPDF.id 
INNER JOIN dboPeriodico.R6CapitoloR6Paragrafo ON #R6PARAGRAFOPDF.id = dboPeriodico.R6CapitoloR6Paragrafo.idFkParagrafo 
INNER JOIN #R6CAPITOLOPDF ON dboPeriodico.R6CapitoloR6Paragrafo.idFkCapitolo = #R6CAPITOLOPDF.id
INNER JOIN dboPeriodico.R6ReportR6Capitolo ON #R6CAPITOLOPDF.id = dboPeriodico.R6ReportR6Capitolo.idFkCapitolo
WHERE dboPeriodico.R6ParagrafoR6Sezione.idFkReport = @idReport
ORDER BY ordineCapitolo,ordineParagrafo,ordineSezione
DROP TABLE #R6CAPITOLOPDF
DROP TABLE #R6PARAGRAFOPDF
DROP TABLE #R6SEZIONEPDF
SELECT * FROM #TABV ORDER BY ordineCapitolo,ordineParagrafo,ordineSezione
END