﻿--select * from C6MartPeriodicO.PATRIMONIO_IMMOBILIARE_ProQuota
-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [C6MartPeriodico].[RP_DM_PATRIMONIO_IMMOBILIARE_ProQuota]
AS
BEGIN
	SET NOCOUNT ON;
	DECLARE @ID_ELAB INT
	DECLARE @TIPO_ELAB VARCHAR(1)
	SET @ID_ELAB = C6MartPeriodico.GETIDELAB()
	SET @TIPO_ELAB = C6MartPeriodico.GETTIPOELAB()
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE_PERIODICO
		(Nome, Inizio, Nota)
	VALUES (
		'RP_DM_PATRIMONIO_IMMOBILIARE_PROQUOTA',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	TRUNCATE TABLE C6MartPeriodico.PATRIMONIO_IMMOBILIARE_ProQuota
	INSERT INTO [C6MartPeriodico].[PATRIMONIO_IMMOBILIARE_ProQuota](
	[RETE],
	[COD_FISCALE],
	Descrizione,
	Tipologia,
	Localita,
	AffittoPercepito, 
	[VALORE_STIMATO],
	Totale,
	TotaleAffitto,
	[TIPOLOGIA_DIRITTO],
	[PROQUOTA],
	[VALORE_STIMATO_PROQUOTA],
	TotaleProQuota	
	)
	select
		vp.Rete,
		vp.Cod_Fiscale,
		vp.Descrizione ,
		vp.Tipologia,
		vp.Localita,
		vp.AffittoPercepito,
		vp.Valore,
		vp.Totale,
		vp.TotaleAffitto,
		vp.TipologiaDiritto, 
		vp.ProQuota,
		vp.Valore_ProQuota,
		vp.TotaleProQuota
	from
		[C6MartPeriodico].[RP_vContrattiPerGenerazioneReport] vc
			inner join C6MartPeriodico.vPatrimonioImmobiliare vp
			on vc.rete = vp.rete
			and vc.cod_fiscale = vp.cod_fiscale
		--select vContratti.Rete,
		--	vContratti.Cod_Fiscale, 
		--	dett.valoreImmobileTotale as Valore_Stimato,
		--	coin.moltiplicatoreDiritto * dett.valoreImmobileTotale as Valore_Stimato_ProQuota,
		--	coin.moltiplicatoreDiritto * 100 as ProQuota,
		--	dett.TipologiaDiritto
		--from
		--	C6MartPeriodico.vContrattiPerGenerazioneReport vContratti
		--	--(select top 100 rete, cod_fiscale from C6MartPeriodico.vContratti where Cod_Fiscale = 'BRNVLM35H61L407Q') vContratti
		--		inner join [CONSUNI].[ConsulenzaUnica].dbo.vInfoCliente vInfo
		--			on vContratti.Cod_Fiscale = vInfo.CodFis
		--			inner join [CONSUNI].[ConsulenzaUnica].dbo.Cointestatari coin
		--			on vInfo.chiaveClientePB = coin.chiaveClientePB
		--				inner join [CONSUNI].[ConsulenzaUnica].dbo.DettImmobiliare dett 
		--				on dett.chiaveProdottoTerzi = coin.chiaveProdottoTerzi
		--union
		--select  vContratti.Rete,
		--	vContratti.Cod_Fiscale,
		--	dett.valoreImmobileTotale as Valore_Stimato,
		--	dett.valoreImmobileTotale as Valore_Stimato_ProQuota,
		--	100 as ProQuota,
		--	isnull(dett.TipologiaDiritto, 'Proprietà') as TipologiaDiritto
		--from
		--	C6MartPeriodico.vContrattiPerGenerazioneReport vContratti
		--	--(select top 100 rete, cod_fiscale from C6MartPeriodico.vContratti where Cod_Fiscale = 'BRNVLM35H61L407Q') vContratti
		--		inner join [CONSUNI].[ConsulenzaUnica].dbo.vInfoCliente vInfo
		--			on vContratti.Cod_Fiscale = vInfo.CodFis
		--			inner join [CONSUNI].[ConsulenzaUnica].dbo.PatrimonioTerzi coin
		--			on vInfo.chiaveClientePB = coin.chiaveClientePB
		--				inner join [CONSUNI].[ConsulenzaUnica].dbo.DettImmobiliare dett 
		--				on dett.chiaveProdottoTerzi = coin.chiaveProdottoTerzi
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE_PERIODICO
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_DM_PATRIMONIO_IMMOBILIARE_PROQUOTA' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE_PERIODICO
			WHERE
				Nome = 'RP_DM_PATRIMONIO_IMMOBILIARE_PROQUOTA'
		)
END