﻿-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [C6Mart].[DM_ASSETCLASS]
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
	DECLARE @ID_ELAB INT
	SET @ID_ELAB = C6MART.GETIDELAB()
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'DM_ASSETCLASS',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	TRUNCATE TABLE C6MART.ASSETCLASS
	INSERT INTO [C6Mart].[ASSETCLASS]
		   ([ID_ASSETCLASS]
		   ,[DESCRIZIONE]
		   ,[LIVELLO]
		   ,[ORDINAMENTO]
		   ,[ID_ELAB])
	SELECT 
		LTRIM(RTRIM(ASSETCLASS.OID_)) AS ID_ASSETCLASS,
		LTRIM(RTRIM(ASSETCLASS.ASSETCLASSDESCR)) AS DESCRIZIONE,
		ASSETCLASS.ASSETCLASSLEV AS LIVELLO,
		ASSETCLASS.ORDINE AS ORDINAMENTO,
		@ID_ELAB AS ID_ELAB
	FROM C6STAGING.ASSETCLASS
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'DM_ASSETCLASS' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'DM_ASSETCLASS'
		)
END