﻿CREATE procedure [C6Mart].[GET_RECUPERO_LETTERE]
AS  
BEGIN  
 SET NOCOUNT ON;  
    SELECT distinct
   contratti.CodiceContratto CodiceContratto  
  ,contratti.Rete  
  ,contratti.Cod_Fiscale CodiceFiscale  
  ,clienti.nome NomeCliente  
  ,clienti.Cognome CognomeCliente  
  ,contratti.Cod_Agente CodicePB  
  ,(CASE UPPER(ISNULL(promotori.STATO,'')) WHEN 'ATTIVO' THEN isnull(promotori.Nome,'') ELSE '' END) NomePB  
  ,(CASE UPPER(ISNULL(promotori.STATO,'')) WHEN 'ATTIVO' THEN isnull(promotori.Cognome,'') ELSE '' END) CognomePB  
  ,gg.numeroPagine
  ,contratti.tip_contratto 
  --, InvioBenvenuto
  --, Data_FineAvanzato, contratti.DATA_PERF, RisorseNa, NumRevoche, Profilo_EC
 --select *
 from C6Mart.GESTIONE_PDF_FTP_DaRecuperare_20250503 gg
 join C6Mart.VCONTRATTI
 --join C6Mart.RP_vContrattiPerGenerazioneReport 
       contratti  on contratti.rete  = gg.rete and contratti.Cod_Fiscale = gg.CodiceFiscale
 left JOIN  C6Mart.CONTRATTOSEI_METADATI md ON  md.chiaveClientePB = contratti.chiaveClientePB  
 left join C6Mart.ANAG_PROMOTORI promotori  
  on contratti.Rete = promotori.Rete  
  and contratti.Cod_Agente = promotori.Id_Promotore  
 left join C6Mart.ANAG_CLIENTI clienti  
  on contratti.Rete = clienti.Rete  
  and contratti.Cod_Fiscale = clienti.Cod_Fiscale  
 /*INNER join C6Mart.vPatrimoniobfAggregato_SenzaNobPrez patrimonioBF  
  on contratti.Rete = patrimonioBF.Rete  
  and contratti.Cod_Fiscale = patrimonioBF.Cod_Fiscale   
 left outer join C6Mart.vPatrimonioAltroAggregato patrimonioAltro  
  on contratti.Rete = patrimonioAltro.Rete  
  and contratti.Cod_Fiscale = patrimonioAltro.Cod_Fiscale   
 left outer join C6Mart.vPatrimonioImmobAggregato patrimonioImmobiliare  
  on contratti.Rete = patrimonioImmobiliare.Rete  
  and contratti.Cod_Fiscale = patrimonioImmobiliare.Cod_Fiscale   
 left outer join C6Mart.vPatrimonioTerziAggregato patrimonioTerzi  
  on contratti.Rete = patrimonioTerzi.Rete  
  and contratti.Cod_Fiscale = patrimonioTerzi.Cod_Fiscale   
 left outer join C6Mart.MIFID MIFID  
  on contratti.Rete = MIFID.Rete  
  and contratti.Cod_Fiscale = MIFID.Cod_Fiscale  
 left outer join C6Mart.vPatrimonioNonRappresentabileAsset PatrNonRapprAsset  
  on contratti.Rete = PatrNonRapprAsset.Rete  
  and contratti.Cod_Fiscale = PatrNonRapprAsset.Cod_Fiscale  
 left outer join C6Mart.vNumeroIntermediari numIntermediari  
  on contratti.Rete = numIntermediari.Rete   
  and contratti.Cod_Fiscale = numIntermediari.Cod_Fiscale  
 left outer join C6Mart.RISCHIO_AGGREGATO RISCHIO_NA  
  on contratti.Rete = RISCHIO_NA.Rete   
  and contratti.Cod_Fiscale = RISCHIO_NA.Cod_Fiscale  
  and RISCHIO_NA.cod_aggreg = 'COMPLESSIVO|BF|NA'    
 left outer join C6Mart.RISCHIO_AGGREGATO RISCHIO_RISORSEFINANZIARIE  
  on contratti.Rete = RISCHIO_RISORSEFINANZIARIE.Rete   
  and contratti.Cod_Fiscale = RISCHIO_RISORSEFINANZIARIE.Cod_Fiscale  
  and RISCHIO_RISORSEFINANZIARIE.cod_aggreg = 'COMPLESSIVO|BF'    
 left outer join C6Mart.PARTITE_VIAGGIANTI PARTITEVIAGGIANTI  
  on contratti.Rete = PARTITEVIAGGIANTI.RETE  
  and contratti.Cod_Fiscale = PARTITEVIAGGIANTI.COD_FISCALE  
  */
    where 1=1  
	--and exists (SELECT 1 FROM    C6Mart.PIRAMIDE_MOD mo where mo.COD_FISCALE = contratti.COD_FISCALE)
	--and CodiceContratto = '000160CO307'
	order by CodiceFiscale 
END