﻿CREATE procedure [C6Staging].[RP_ST_Cliente]
AS
BEGIN
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_Cliente',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	truncate table c6staging.RP_Cliente
	--insert into c6staging.RP_Cliente
	----select * into c6staging.RP_Cliente from CONSUNI.ConsulenzaUnica.dbo.Cliente
	--select chiaveCliente
 --     ,codFis
 --     ,pIva
 --     ,codMan
 --     ,nome
 --     ,SUBSTRING(cognome, 1, 50) -- TOPPA INSERITA PERCHé MODIFCA NON COMUNICATA A REPORTISTA BATCH
 --     ,tipologia
 --     ,dtNascita
 --     ,indirizzo
 --     ,numCivico
 --     ,citta
 --     ,cap
 --     ,nazione
 --     ,idQuestionario
 --     ,dtQuestionario
 --     ,dtScadQuest
 --     ,profilo
 --     ,frequenza
 --     ,rendicSemestrale
 --     ,codStatoCivile
 --     ,sesso
 --     ,codTitoloStudio
 --     ,flagCanOnLine
 --     ,numFigli
 --     ,codProvNasc
 --     ,codComNasc
 --     ,codNazNasc
 --     ,fonte
 --     ,pinCode
 --     ,cittadinanza
 --     ,provincia  from CONSUNI.ConsulenzaUnica.dbo.Cliente
 /* NUOVA PER SEMPLIFICAZIONE  */
 insert into c6staging.RP_Cliente
 select 
	   cli.chiaveCliente
      ,codFis
      ,pIva
      ,codMan
      ,nome
      ,SUBSTRING(cognome, 1, 50) -- TOPPA INSERITA PERCHé MODIFCA NON COMUNICATA A REPORTISTA BATCH
      ,tipologia  --CHIEDERE AD ALESSIA  SU CLIENTEPB
      ,dtNascita
      ,indirizzo
      ,numCivico
      ,c.NomeComune as citta	
      ,cap
      ,n.descrizioneNazione as nazione
      ,idQuestionario
      ,null--,dtQuestionario
      ,null -- ,dtScadQuest
      ,profilo
      ,cli.frequenza
      ,rendicSemestrale
      ,codStatoCivile
      ,genere as sesso
      ,codTitoloStudio
      ,flagCanOnLine
      ,numFigli
      ,codProvNasc
      ,codComNasc
      ,codNazNasc
      ,fonte
      ,pinCode
      ,cli.cittadinanza
      ,null as provincia  
	 from CONSUNI.ConsulenzaUnica.dbo.Cliente cli
      -- Modifica del 14/6/2017 per evitare di caricare sulla tabella cliente dei cf duplicati che non hanno riferimenti sulla clientePB
	     --LEFT JOIN CONSUNI.ConsulenzaUnica.dbo.ClientePB clipb
		 INNER JOIN CONSUNI.ConsulenzaUnica.dbo.ClientePB clipb
		 -- fine Modifica del 14/6/2017 
      on clipb.chiavecliente = cli.chiavecliente
	  left join CONSUNI.ConsulenzaUnica.dbo.DComune c
	  on c.codcomune = cli.codcomRes
	  left join CONSUNI.ConsulenzaUnica.dbo.Dnazione n
	  on n.codNazione = cli.CodNazRes 
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_Cliente' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_Cliente'
		)
END