﻿CREATE TABLE [C6MartPeriodico].[CONO_PIANIFICAZIONE] (
	[RETE] varchar(1) NOT NULL,
	[COD_FISCALE] varchar(16) NOT NULL,
	[ID_AREA] varchar(20) NOT NULL,
	[NOME_PROGETTO] varchar(50) NOT NULL,
	[DATA_CONO] datetime NOT NULL,
	[SCENARIO_PESSIMISTICO] decimal(19,7) NULL,
	[SCENARIO_MEDIO] decimal(19,7) NULL,
	[SCENARIO_OTTIMISTICO] decimal(19,7) NULL,
	[ID_ELAB] int NULL,
	[ordinamento_progetto] int NOT NULL
)
ALTER TABLE [C6MartPeriodico].[CONO_PIANIFICAZIONE] ADD CONSTRAINT [PK_CONO_PIANIFICAZIONE] PRIMARY KEY CLUSTERED ([RETE],[COD_FISCALE],[ID_AREA],[NOME_PROGETTO],[DATA_CONO],[ordinamento_progetto])
GO