﻿CREATE TABLE [C6MartPeriodico].[MONITORAGGIO_REPORT] (
	[RETE] varchar(1) NOT NULL,
	[COD_FISCALE] varchar(16) NOT NULL,
	[DATA_INVIO] datetime NOT NULL,
	[CTV_TOTALE] decimal(15,2) NULL,
	[CTV_EXT] decimal(15,2) NULL,
	[CTV_INV] decimal(15,2) NULL,
	[CTV_RIS] decimal(15,2) NULL,
	[CTV_PRE] decimal(15,2) NULL,
	[CTV_LIQ] decimal(15,2) NULL,
	[CTV_CC] decimal(15,2) NULL,
	[CTV_NA] decimal(15,2) NULL,
	[PARTITA_VIAGGIANTE] decimal(15,2) NULL,
	[VAR_COMPLESSIVO] decimal(15,3) NULL,
	[VAR_COPERTURA] decimal(15,3) NULL,
	[PROFILO] smallint NULL,
	[VAR_MAX_PROFILO] decimal(15,2) NULL,
	[ID_ELAB] int NULL,
	[RISKCLASS] decimal(15,3) NULL,
	[RISKCLASSMAX] decimal(15,3) NULL,
	[CTV_SELF] decimal(15,2) NULL,
	[CTV_SELF_FOGLIO] decimal(15,2) NULL
)
ALTER TABLE [C6MartPeriodico].[MONITORAGGIO_REPORT] ADD CONSTRAINT [PK__MONITORAGGIO_REP__3607E224] PRIMARY KEY CLUSTERED ([RETE],[COD_FISCALE],[DATA_INVIO])
GO