﻿-- View
-- View
--modificata per i cc in liq Marianna & Valerio
--Aggiunta GESTIONE EligoTitoli L192 (FCianfa, 26/11/2014
CREATE VIEW [C6MartPeriodico].[RP_vTuttiIPortafogli_ccLiq]
AS
SELECT
		PATRIMONIO_BF.RETE						AS Rete,
		PATRIMONIO_BF.COD_FISCALE				AS CodiceFiscale,
		CASE
			WHEN PATRIMONIO_BF.ID_AREA = 'NA' THEN 
				'RISFIN|NA|' + PATRIMONIO_BF.POSITION_ID	
			ELSE
				'RISFIN|PIRAMIDE|' + 
				LEFT(PATRIMONIO_BF.ID_AREA,3) + 
				CASE 
					WHEN PATRIMONIO_BF.NOME_PROGETTO IS NOT NULL THEN '|' + PATRIMONIO_BF.NOME_PROGETTO 
					+ '|' + isnull(cast(patrimonio_bf.chiave_progetto as varchar),'')
					ELSE '' 
				END + '|' + PATRIMONIO_BF.POSITION_ID	
		END										AS Portafoglio,
		CASE ANAG_PRODOTTI.COD_ADEGUATEZZA --SELEZIONE DEL CODICEPRODOTTO: COD_ISIN, COD_ADEGUATEZZA, '$'
			WHEN '$' THEN ANAG_PRODOTTI.COD_ISIN
			ELSE ANAG_PRODOTTI.COD_ADEGUATEZZA
		END										AS CodiceProdotto,
		--- 12/6/2018 ----------------------------------------
		CASE ANAG_PRODOTTI.COD_ADEGUATEZZA 
			WHEN '$' THEN ''
			ELSE ANAG_PRODOTTI.COD_ADEGUATEZZA
		END										AS CodiceAdeguatezza,
		-----------------------------------------------------------
		''										AS Piazza,
		''										AS CodiceValuta,
		''										AS Classe,
--INIZIO INTERVENTO OMNIA
--		PATRIMONIO_BF.CTV_NOMINALE				AS CtvNominale,
--		PATRIMONIO_BF.CTV						AS CtvReale
		case when PATRIMONIO_BF.ISIN in('EURO00000009', 'EURO10000007') then 0.0000
		else PATRIMONIO_BF.CTV_NOMINALE end AS CtvNominale ,
		case when PATRIMONIO_BF.ISIN in('EURO00000009', 'EURO10000007') then 0.0000
		else PATRIMONIO_BF.CTV end AS CtvReale 
--FINE INTERVENTO OMNIA
	FROM c6martperiodico.PATRIMONIO_BF
	INNER JOIN c6martperiodico.RP_vContrattiPerGenerazioneReport VCONTRATTIPERSEI
		ON VCONTRATTIPERSEI.RETE = PATRIMONIO_BF.RETE
		AND VCONTRATTIPERSEI.COD_FISCALE = PATRIMONIO_BF.COD_FISCALE
	INNER JOIN c6martperiodico.ANAG_PRODOTTI 
		ON ANAG_PRODOTTI.COD_PRODOTTO = PATRIMONIO_BF.COD_PRODOTTO
--INIZIO INTERVENTO OMNIA
--	WHERE PATRIMONIO_BF.TIPO_PRODOTTO NOT IN ('ASUL','CC','ASU2')
	WHERE (PATRIMONIO_BF.TIPO_PRODOTTO NOT IN ('ASUL','CC','ASU2')  
	AND	   PATRIMONIO_BF.ID_AREA <> 'SELF')
--FINE INTERVENTO OMNIA
	UNION ALL
	---V Modifica per calcolo VaR prodotti ASU2
		SELECT
			PATRIMONIO_BF.RETE						AS Rete,
			PATRIMONIO_BF.COD_FISCALE				AS CodiceFiscale,
			CASE
				WHEN PATRIMONIO_BF.ID_AREA = 'NA' THEN 
					'RISFIN|NA|' + PATRIMONIO_BF.POSITION_ID	
				ELSE
					'RISFIN|PIRAMIDE|' + 
					LEFT(PATRIMONIO_BF.ID_AREA,3) + 
					CASE 
						WHEN PATRIMONIO_BF.NOME_PROGETTO IS NOT NULL THEN '|' + PATRIMONIO_BF.NOME_PROGETTO
						+ '|' + isnull(cast(patrimonio_bf.chiave_progetto as varchar),'')
						ELSE '' 
					END + '|' + PATRIMONIO_BF.POSITION_ID	
			END											AS Portafoglio,
		 PATRIMONIO_BF.ISIN AS CodiceProdotto,
		 	--- 12/6/2018 ----------------------------------------
		CASE ANAG_PRODOTTI.COD_ADEGUATEZZA 
			WHEN '$' THEN ''
			ELSE ANAG_PRODOTTI.COD_ADEGUATEZZA
		END										AS CodiceAdeguatezza,
		-----------------------------------------------------------
			''										AS Piazza,
			''										AS CodiceValuta,
			''										AS Classe,
		 PATRIMONIO_BF.CTV_NOMINALE AS CtvNominale,
		 PATRIMONIO_BF.CTV						AS CtvReale
		FROM C6Martperiodico.PATRIMONIO_BF
		INNER JOIN C6Martperiodico.RP_vContrattiPerGenerazioneReport VCONTRATTIPERSEI
			ON VCONTRATTIPERSEI.RETE = PATRIMONIO_BF.RETE
			AND VCONTRATTIPERSEI.COD_FISCALE = PATRIMONIO_BF.COD_FISCALE
		INNER JOIN C6Martperiodico.ANAG_PRODOTTI 
			ON ANAG_PRODOTTI.COD_PRODOTTO = PATRIMONIO_BF.COD_PRODOTTO
			AND ANAG_PRODOTTI.COD_ISIN = PATRIMONIO_BF.ISIN
		WHERE PATRIMONIO_BF.TIPO_PRODOTTO IN ('ASU2')
	UNION ALL
	-- PATRIMONIO ASUL
	SELECT 
		PATRIMONIO_BF.RETE						AS Rete,
		PATRIMONIO_BF.COD_FISCALE				AS CodiceFiscale,
		CASE
			WHEN PATRIMONIO_BF.ID_AREA = 'NA' THEN 
				'RISFIN|NA|' + PATRIMONIO_BF.POSITION_ID	
			ELSE
				'RISFIN|PIRAMIDE|' + 
				LEFT(PATRIMONIO_BF.ID_AREA,3) + 
				CASE 
					WHEN PATRIMONIO_BF.NOME_PROGETTO IS NOT NULL THEN '|' + PATRIMONIO_BF.NOME_PROGETTO 
					+ '|' + isnull(cast(patrimonio_bf.chiave_progetto as varchar),'')
					ELSE '' 
				END + '|' + PATRIMONIO_BF.POSITION_ID	
		END											AS Portafoglio,
		CASE DETTAGLIO_ASUL.COD_ISIN_FITTIZIO --SELEZIONE DEL CODICEPRODOTTO: DETTAGLIO_ASUL.COD_ISIN_FITTIZIO, DETTAGLIO_ASUL.COD_SOTTOPRODOTTO, '$'
			WHEN '' THEN DETTAGLIO_ASUL.COD_ISIN_SOTT
			ELSE DETTAGLIO_ASUL.COD_ISIN_FITTIZIO
		END										AS CodiceProdotto,
			--- 12/6/2018-------------------------------------------------		
		''										AS CodiceAdeguatezza,
		---------------------------------------------------------------
		''										AS Piazza,
		''										AS CodiceValuta,
		''										AS Classe,
		DETTAGLIO_ASUL.CTV						AS CtvNominale,
		DETTAGLIO_ASUL.CTV						AS CtvReale
	FROM c6martperiodico.PATRIMONIO_BF
	INNER JOIN c6martperiodico.DETTAGLIO_ASUL 
		ON DETTAGLIO_ASUL.ID_CONTRATTO = PATRIMONIO_BF.ID_CONTRATTO
	INNER JOIN c6martperiodico.RP_vContrattiPerGenerazioneReport VCONTRATTIPERSEI
		ON VCONTRATTIPERSEI.RETE = PATRIMONIO_BF.RETE
		AND VCONTRATTIPERSEI.COD_FISCALE = PATRIMONIO_BF.COD_FISCALE
	WHERE PATRIMONIO_BF.TIPO_PRODOTTO IN ('ASUL')
union all
SELECT
		PATRIMONIO_BF.RETE						AS Rete,
		PATRIMONIO_BF.COD_FISCALE				AS CodiceFiscale,
		CASE
			WHEN (PATRIMONIO_BF.ID_AREA = 'Liq' and PATRIMONIO_BF.TIPO_PRODOTTO='CC') THEN 
				'RISFIN|PIRAMIDE|Liq'+ '|Cc|'--V TOGLIERE + PATRIMONIO_BF.POSITION_ID
		END										AS Portafoglio,
		'EUR' AS CodiceProdotto,
		--- 12/6/2018 ----------------------------------------
		'' AS CodiceAdeguatezza,
		-----------------------------------------------------------
		''										AS Piazza,
		''										AS CodiceValuta,
		''										AS Classe,
		case when (sum(PATRIMONIO_BF.CTV_NOMINALE)	- CAST(DBO.GETPARAMETRO('FRANCHIGIA_CC') AS INT))>0 then sum(PATRIMONIO_BF.CTV_NOMINALE)	- CAST(DBO.GETPARAMETRO('FRANCHIGIA_CC') AS INT)
			else 0.0001 end AS CtvNominale ,
		--PATRIMONIO_BF.CTV_NOMINALE,
		case when (sum(PATRIMONIO_BF.CTV)	-CAST(DBO.GETPARAMETRO('FRANCHIGIA_CC') AS INT))>0 then sum(PATRIMONIO_BF.CTV)	-CAST(DBO.GETPARAMETRO('FRANCHIGIA_CC') AS INT)
			else 0.0001 end	AS CtvReale 
		--PATRIMONIO_BF.CTV
FROM c6martperiodico.PATRIMONIO_BF
	INNER JOIN c6martperiodico.RP_vContrattiPerGenerazioneReport VCONTRATTIPERSEI
		ON VCONTRATTIPERSEI.RETE = PATRIMONIO_BF.RETE
		AND VCONTRATTIPERSEI.COD_FISCALE = PATRIMONIO_BF.COD_FISCALE
	INNER JOIN c6martperiodico.ANAG_PRODOTTI 
		ON ANAG_PRODOTTI.COD_PRODOTTO = PATRIMONIO_BF.COD_PRODOTTO
	WHERE PATRIMONIO_BF.TIPO_PRODOTTO  IN ('CC') and patrimonio_bf.ctv>0
group by 
	PATRIMONIO_BF.rete,
	PATRIMONIO_BF.cod_fiscale,
	CASE ANAG_PRODOTTI.COD_ADEGUATEZZA --SELEZIONE DEL CODICEPRODOTTO: COD_ISIN, COD_ADEGUATEZZA, '$'
			WHEN '$' THEN ANAG_PRODOTTI.COD_ISIN
			ELSE ANAG_PRODOTTI.COD_ADEGUATEZZA
	END,
	CASE
			WHEN (PATRIMONIO_BF.ID_AREA = 'Liq' and PATRIMONIO_BF.TIPO_PRODOTTO='CC') THEN 
				'RISFIN|PIRAMIDE|Liq'+ '|Cc|' --V TOGLIEREEEEEE + PATRIMONIO_BF.POSITION_ID
		END