﻿CREATE VIEW [C6StagingPeriodico].[APPO_CONTRATTI_V_20170407.SAVE]
WITH
SCHEMABINDING
AS
SELECT distinct contr.[chiaveClientePB]
      ,contr.[COD_FISCALE]
      ,contr.[COD_MANDATO]
      ,contr.[PIVA_FIDUCIARIA]
      ,contr.[COD_AGENTE]
      ,contr.[rete]
      ,contr.[codiceContratto]
      ,contr.[flagRol]
      ,contr.[INDIRIZZO]
      ,contr.[cap]
      ,contr.[CITTA]
      ,contr.[PROVINCIA]
      ,contr.[NAZIONE]
      ,contr.[presso]
      ,contr.[email]
      ,contr.[FREQ_DIAGNOSI]
      ,contr.[FREQ_MONITORAGGIO]
      ,contr.[GENERAZIONEREPORT]
      ,contr.[DATA_INIZIOBASE]
      ,contr.[DATA_FINEBASE]
      ,contr.[DATA_PERF_BASE]
      ,contr.[DATA_PERF]
      ,contr.[DATA_INZIOAVANZATO]
      ,contr.[DATA_FINEAVANZATO]
      ,contr.[RIATTIVAZIONE]
      ,contr.[TIP_CONTRATTO]
      ,contr.[TIP_RIATTIVAZIONE]
      ,contr.[ClienteMIGRATO]
      ,contr.[RISORSENA]
      ,contr.[PROFILOATTIVO]
      ,contr.[NumSolleciti]
      ,contr.[NumRevoche]
      ,contr.[Data_ultimoSollecito]
      ,contr.[Data_ultimaRevoca]
      ,contr.[InvioBenvenuto]
from [C6StagingPeriodico].[APPO_CONTRATTI] contr
left join  [C6StagingPeriodico].[APPO_CONTRATTI_LIMITER] lim on lim.COD_FISCALE = contr.COD_FISCALE and lim.rete = contr.rete
where lim.cod_fiscale is not null or 0 = (select count(*) from  [C6StagingPeriodico].[APPO_CONTRATTI_LIMITER] with (nolock))