﻿CREATE   VIEW [C6StagingPeriodico].[vListaClientiTrimestrale_anag_pb]
AS
SELECT
appo.Rete
,appo.Cod_Agente as [Codice Agente]
,(CASE
	when anag.id_promotore is null then '' 
	else
	anag.cognome+' '+anag.nome 
	END) as [Nominativo]
,appo.Cod_Fiscale as [Codice Fiscale]
,appo.CodiceContratto as [Codice Contratto]
,isnull(appo.FREQ_MONITORAGGIO, 'T') as [Freq Monitoraggio]
,appo.FREQ_DIAGNOSI as [Freq Diagnosi]
,CONVERT(varchar(8), appo.Data_FineAvanzato, 112) as [Data Revoca]
,appo.TIP_CONTRATTO as [Tipo Contratto]
,appo.TIP_RIATTIVAZIONE as [Tipo Riattivazione]
--mod 7/3/2019
,isnull(rol2.statorol,'') as [ROL]
,case when appo.TIP_CONTRATTO=3 then'S'else '' end as ClienteDB --FLAGCLIDB  
FROM
C6StagingPERIODICO.APPO_CONTRATTI appo
left join 
[C6MartPeriodico].[ANAG_PROMOTORI] anag
on appo.rete=anag.rete and appo.Cod_Agente=anag.id_promotore
---mod 7/3/2019
left join [C6StampeCentralizzate].[C6StagingPeriodico].[datiROL2] rol2
on 
appo.rete=rol2.rete and appo.cod_fiscale = rol2.codfis