﻿CREATE VIEW [dbo].[S43_DETTAGLIOPRODOTTI]
AS
SELECT
	PATRIMONIO_BF.DATA_OPERAZIONE AS DataDiSottoscrizioni, 
	PATRIMONIO_BF.ID_CONTRATTO AS ContrattoDossier, 
	ANAG_PRODOTTI.DESCR_PRODOTTO, 
	NULL AS Aggiornamento, 
	PATRIMONIO_BF.CTV AS Controvalore, 
	PATRIMONIO_BF.VERSATO_NETTO AS VersatoNetto, 
	PATRIMONIO_BF.CTV - PATRIMONIO_BF.VERSATO_NETTO AS MinusPlusValenza, 
	RISCHIO_DETTAGLIO.VAR_PERC_PTF, 
	PATRIMONIO_BF.REND_ANNO AS PerformanceYTD, 
	PATRIMONIO_BF.REND_SOTTOSCRIZIONE AS PerformanceDaYTD, 
	PATRIMONIO_BF.RETE, 
	PATRIMONIO_BF.COD_FISCALE, 
	PATRIMONIO_BF.COD_SOTTOPRODOTTO
FROM C6MART.PATRIMONIO_BF 
INNER JOIN C6MART.ANAG_PRODOTTI 
	ON PATRIMONIO_BF.COD_PRODOTTO = ANAG_PRODOTTI.COD_PRODOTTO 
INNER JOIN C6MART.RISCHIO_DETTAGLIO 
	ON PATRIMONIO_BF.RETE = RISCHIO_DETTAGLIO.RETE