﻿-- =============================================
-- Author:		Francesco Berni
-- Create date: 28/04/2009
-- Description:	Stored Procedure inserimento dati varifiche campione
-- =============================================
CREATE procedure [C6MartPeriodico].[GC_INSERT_VERIFICHE_CAMPIONE]
 @IdReport int,
 @Rete char(1) = '', 
 @CodicePB varchar(6) = '',
 @CodiceFiscale varchar(16) = '',
 @UserModify varchar(7) = '',
 @TipoReport varchar(2) = '',
 @Verifica bit = null,
 @Esito varchar(2) = '-'
AS
BEGIN
	SET NOCOUNT ON;
		    UPDATE [C6StampeCentralizzate].[C6MartPeriodico].[VERIFICHECAMPIONE]
			SET datafine = getdate()
			WHERE IdReport = @IdReport and datafine is null
	INSERT INTO [C6StampeCentralizzate].[C6MartPeriodico].[VERIFICHECAMPIONE]
           ([Rete]
           ,[CodiceFiscale]
           ,[CodAgente]
           ,[UserModify]
		   ,[TipoReport]
           ,[Verifica]
           ,[Esito]
           ,[IdReport]
           ,[datainizio]
           ,[datafine])
     VALUES
           (@Rete
           ,@CodiceFiscale
           ,@CodicePB
           ,@UserModify
		   ,@TipoReport
           ,@Verifica
           ,@Esito
           ,@IdReport
           , GetDate()
           , null
           )
	END