-- Abilita l'autenticazione mista (Windows e SQL)
EXEC xp_instance_regwrite N'HKEY_LOCAL_MACHINE', N'Software\Microsoft\MSSQLServer\MSSQLServer', N'LoginMode', REG_DWORD, 2
GO

-- Abilita l'account SA e imposta password
ALTER LOGIN [sa] WITH 
    PASSWORD = N'_p1sap1a',
    CHECK_POLICY = OFF,
    CHECK_EXPIRATION = OFF
GO
ALTER LOGIN [sa] ENABLE
GO

-- Assegna il ruolo sysadmin all'utente sa
ALTER SERVER ROLE [sysadmin] ADD MEMBER [sa]
GO

-- Concedi permessi TCP/IP
EXEC sp_configure 'remote access', 1
GO
RECONFIGURE
GO

-- Abilita il protocollo TCP/IP
EXEC sp_configure 'show advanced options', 1
GO
RECONFIGURE
GO
EXEC sp_configure 'remote access', 1
GO
RECONFIGURE
GO
