﻿--select [dbo].[Replace_Testo_Email_Periodico] 'S','005497','LC_REP_DA_GEN'
CREATE FUNCTION [dbo].[Replace_Testo_Email_Periodico]
(
	@RETE as varchar(1) = '',
	@CODICE_PB as varchar(6) = '',
--	@COGNOME_PB as varchar(20) = '',
--	@NOME_PB as varchar(20) = '',
	@TIPOEMAIL as varchar(20) = '', 
	@TESTO as TEXT = ''
)
RETURNS varchar(8000)
AS
BEGIN
	DECLARE @TESTO_DI_RITORNO1 as varchar(8000)
	SET @TESTO_DI_RITORNO1 = ''
	SELECT @TESTO_DI_RITORNO1 = @TESTO_DI_RITORNO1 
	+ '<tr><td>Cliente: ' + 
	ISNULL(CLIENTI.[COGNOME],'') + ' ' + ISNULL(CLIENTI.[NOME],'') + 
	CASE WHEN (REPGEN.COD_FISCALE LIKE 'FF@%') THEN SUBSTRING(REPGEN.COD_FISCALE,4,7) ELSE '' END
	+ '</td></tr>'
    FROM C6MartPeriodico.RP_vContrattiPerGenerazioneReport REPGEN
    INNER JOIN [C6MartPeriodico].[ANAG_CLIENTI] CLIENTI
	ON REPGEN.RETE = CLIENTI.[RETE]
	AND REPGEN.COD_FISCALE = CLIENTI.[COD_FISCALE]
	WHERE REPGEN.RETE = @RETE
	AND REPGEN.COD_AGENTE = @CODICE_PB
	AND REPGEN.FREQ_MONITORAGGIO IS NOT NULL
	AND REPGEN.FREQ_DIAGNOSI IS NOT NULL
	IF @TESTO_DI_RITORNO1 <> ''
		SET @TESTO_DI_RITORNO1 = '<TABLE><TR><TD>Report: <B>Report Monitoraggio e Diagnosi trimestrale</B></TD></TR>' + @TESTO_DI_RITORNO1 + '</TABLE></BR>'
	DECLARE @TESTO_DI_RITORNO2 as varchar(8000)
	SET @TESTO_DI_RITORNO2 = ''
	SELECT @TESTO_DI_RITORNO2 = @TESTO_DI_RITORNO2 + '<tr><td>Cliente: ' + 
	ISNULL(CLIENTI.[COGNOME],'') + ' ' + ISNULL(CLIENTI.[NOME],'') + 
	CASE WHEN (REPGEN.COD_FISCALE LIKE 'FF@%') THEN SUBSTRING(REPGEN.COD_FISCALE,4,7) ELSE '' END
	+ '</td></tr>'
    FROM C6MartPeriodico.RP_vContrattiPerGenerazioneReport REPGEN
    INNER JOIN [C6MartPeriodico].[ANAG_CLIENTI] CLIENTI
	ON REPGEN.RETE = CLIENTI.[RETE]
	AND REPGEN.COD_FISCALE = CLIENTI.[COD_FISCALE]
	WHERE REPGEN.RETE = @RETE
	AND REPGEN.COD_AGENTE = @CODICE_PB
	AND REPGEN.FREQ_MONITORAGGIO IS NOT NULL
	AND REPGEN.FREQ_DIAGNOSI IS NULL 
	IF @TESTO_DI_RITORNO2 <> ''
		SET @TESTO_DI_RITORNO2 = '<TABLE><TR><TD>Report: <B>Report Monitoraggio trimestrale</B></TD></TR>' + @TESTO_DI_RITORNO2 + '</TABLE></BR>'
	DECLARE @TESTO_DI_RITORNO3 as varchar(8000)
	SET @TESTO_DI_RITORNO3 = ''
SELECT @TESTO_DI_RITORNO3 = @TESTO_DI_RITORNO3 + '<tr><td>Cliente: ' + ISNULL(CLIENTI.[COGNOME],'') + ' ' + ISNULL(CLIENTI.[NOME],'') 
	+ CASE WHEN (REPGEN.COD_FISCALE LIKE 'FF@%') THEN SUBSTRING(REPGEN.COD_FISCALE,4,7) ELSE '' END
	+ '</td></tr>'
    FROM C6MartPeriodico.RP_vContrattiPerGenerazioneReport REPGEN
    INNER JOIN [C6MartPeriodico].[ANAG_CLIENTI] CLIENTI
	ON REPGEN.RETE = CLIENTI.[RETE]
	AND REPGEN.COD_FISCALE = CLIENTI.[COD_FISCALE]
	JOIN
	c6martperiodico.mail_profili_rischio r
	on
	repgen.rete = r.rete
	and repgen.cod_fiscale = r.cod_fiscale
	WHERE REPGEN.RETE = @RETE
	AND REPGEN.COD_AGENTE = @CODICE_PB
	AND flagScaduto = 1
	IF @TESTO_DI_RITORNO3 <> ''
		SET @TESTO_DI_RITORNO3 = '<TABLE><TR><TD><B>Nominativo</B></TD></TR>' + @TESTO_DI_RITORNO3 + '</TABLE></BR>'
	DECLARE @TESTO_DI_RITORNO4 as varchar(8000)
	SET @TESTO_DI_RITORNO4 = ''
	SELECT @TESTO_DI_RITORNO4 = @TESTO_DI_RITORNO4 + 
		'<tr><td>Cliente: ' + ISNULL(CLIENTI.[COGNOME],'') + ' ' + ISNULL(CLIENTI.[NOME],'')
		+ CASE WHEN (REPGEN.COD_FISCALE LIKE 'FF@%') THEN SUBSTRING(REPGEN.COD_FISCALE,4,7) ELSE '' END
		+ '</td>' +
		'<td>' + dbo.ToShortDateString(dateadd(yy,3,r.dt_creazione_profilo)) + '</td>'
		+'</tr>'
    FROM C6MartPeriodico.RP_vContrattiPerGenerazioneReport REPGEN  
    INNER JOIN [C6MartPeriodico].[ANAG_CLIENTI] CLIENTI
	ON REPGEN.RETE = CLIENTI.[RETE]
	AND REPGEN.COD_FISCALE = CLIENTI.[COD_FISCALE]
	JOIN
	c6martperiodico.mail_profili_rischio r
	on
	repgen.rete = r.rete
	and repgen.cod_fiscale = r.cod_fiscale
	WHERE REPGEN.RETE = @RETE
	AND REPGEN.COD_AGENTE = @CODICE_PB
	AND flagScaduto = 0
	AND flagScadenzaTrim = 1
	IF @TESTO_DI_RITORNO4 <> ''
		SET @TESTO_DI_RITORNO4 
		= '<TABLE><TR><TD><B>Nominativo</B></TD><TD><B>Scadenza Profilo </B></TD></TR>' + @TESTO_DI_RITORNO4 + '</TABLE></BR>'
	DECLARE @TESTO_DI_RITORNO5 as varchar(8000)
	SET @TESTO_DI_RITORNO5 = ''
	SELECT @TESTO_DI_RITORNO5 = @TESTO_DI_RITORNO5 + 
		'<tr><td>Cliente: ' + ISNULL(CLIENTI.[COGNOME],'') + ' ' + ISNULL(CLIENTI.[NOME],'') 
		+ CASE WHEN (REPGEN.COD_FISCALE LIKE 'FF@%') THEN SUBSTRING(REPGEN.COD_FISCALE,4,7) ELSE '' END
		+ '</td>' +
		'<td>' + dbo.ToShortDateString(dateadd(yy,3,r.dt_creazione_profilo)) + '</td>'
		+'</tr>'
    FROM C6MartPeriodico.RP_vContrattiPerGenerazioneReport REPGEN  
    INNER JOIN [C6MartPeriodico].[ANAG_CLIENTI] CLIENTI
	ON REPGEN.RETE = CLIENTI.[RETE]
	AND REPGEN.COD_FISCALE = CLIENTI.[COD_FISCALE]
	JOIN
	c6martperiodico.mail_profili_rischio r
	on
	repgen.rete = r.rete
	and repgen.cod_fiscale = r.cod_fiscale
	WHERE REPGEN.RETE = @RETE
	AND REPGEN.COD_AGENTE = @CODICE_PB
	AND flagScaduto = 0
	AND flagScadenzaTrim = 0
	AND flagScadenzaNextTrim = 1
	IF @TESTO_DI_RITORNO5 <> ''
		SET @TESTO_DI_RITORNO5 = '<TABLE><TR><TD><B>Nominativo</B></TD><TD><B>Scadenza Profilo </B></TD></TR>' + @TESTO_DI_RITORNO5 + '</TABLE></BR>'
	DECLARE @TESTO_DI_RITORNO as varchar(8000)
	SET @TESTO_DI_RITORNO = 'EMAIL ERRATA CONTATTARE HELP DESK'
	DECLARE @NUM_GIORNI as varchar(4)
	--SET @NUM_GIORNI = cast(datediff(dd,getDate(),c6martperiodico.getTrimestre2(getDate(),0)) as varchar)
    --FC14032014
    -- Modifica Temporanea... la funzione gettrimeste2 ritorna la data di simulazione e l'email ritorna -14gg dalla spedizione( errato)
      --  SET @NUM_GIORNI = cast(datediff(dd,getDate(),'20141231') as varchar)
    -- modifica 11/12/2014 per evitare di dover impostare la data fine trimestre ogni trim
      SET @NUM_GIORNI = cast(datediff(dd,getDate(),c6martperiodico.getTrimestre_EMAIL_PB(getDate())) as varchar)
	--select cast(datediff(dd,getDate(),c6martperiodico.getTrimestre2(getDate(),0)) as varchar)
	IF @TESTO_DI_RITORNO1 <> '' OR @TESTO_DI_RITORNO2 <> ''
	BEGIN
		SET @TESTO_DI_RITORNO = isnull(@TESTO,'/$TESTO NON VALORIZZATO$/');
		SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'/$ACAPO$/',char(10));
		SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'/$num_gg_gen_rep_periodico$/',@NUM_GIORNI);
		SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'/$Mon_Diagn_Per$/',@TESTO_DI_RITORNO1 + ' ' + @TESTO_DI_RITORNO2); 
		IF(@TESTO_DI_RITORNO3 <> '')
			BEGIN
				SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'/$Scaduti$/',dbo.getParametro('ParagrafoScaduti')+dbo.getParametro('StileTabScaduti')) 						
				SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'/$tabellaScaduti$/',@TESTO_DI_RITORNO3);
			END
		ELSE
			SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'/$Scaduti$/','') 						
		IF(@TESTO_DI_RITORNO4 <> '')
			BEGIN
				SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'/$inScadenza$/',dbo.getParametro('ParagrafoScadenzaTrim')+dbo.getParametro('StileTabScadenzaTrim')) 						
				SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'/$tabellaInScadenza$/',@TESTO_DI_RITORNO4);
			END
		ELSE
			SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'/$inScadenza$/','') 
		IF(@TESTO_DI_RITORNO5 <> '')
			BEGIN
				SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'/$inScadenzaNextTrim$/',dbo.getParametro('ParagrafoScadenzaNextTrim')+dbo.getParametro('StileTabScadenzaNextTrim')) 						
				SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'/$tabellaInScadenzaNextTrimestre$/',@TESTO_DI_RITORNO5);
			END
		ELSE
			SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'/$inScadenzaNextTrim$/','') 
		IF(@TESTO_DI_RITORNO5 <> '' OR @TESTO_DI_RITORNO4 <> '' OR @TESTO_DI_RITORNO3 <> '')
			SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'/$paragrafo_opzionale$/',dbo.getParametro('ParagrafoOpzionaleMailPB'))
		ELSE
			SET @TESTO_DI_RITORNO = REPLACE(@TESTO_DI_RITORNO,'/$paragrafo_opzionale$/','')
	END 
    RETURN @TESTO_DI_RITORNO
END