﻿--------rete -> F
--------     tip_contratto = 0  codicelettera= 500
--------					 1				   501
--------                     2                 502
--------rete --> S
--------					 0                 503
--------					 1                 504
--------                     2                 505
--[C6MartPeriodicoImmobiliare].[GESTIONE_SELECT_LETTERE_DA_INVIARE_CONSUNI]'S','MRMRSR55P64L738D',504,-1,'M'
CREATE procedure [C6MartPeriodicoImmobiliare].[GESTIONE_SELECT_LETTERE_DA_INVIARE_CONSUNI]
	@rete as varchar(1) = '',
	@cf as varchar(16) = '',
	@codiceLettera as smallint = null,
	--vedere se questa cosa ha senso
--	@dataRichiestaRistampa as datetime = null,
	@idReport as int,
	@tipoReport as varchar(20) = ''
AS
BEGIN
	declare @dataRichiestaRistampa as datetime
	set @dataRichiestaRistampa = getDate()
	--Modifica per la variazione di testo nella lettera di accompagnamento nel caso di diagnosi
	IF @codiceLettera in (7,8) AND @tipoReport = 'DIAGNOSI'
		SET @codiceLettera = @codiceLettera + 2 
	SELECT
			c6martperiodico.getAppellativo(aclie.sesso,aclie.cod_fiscale) as appellativo,
	--Modifica per le persone giuridiche
	CASE 
		WHEN LEN(csei.cod_fiscale) = 11 or CHARINDEX('@',csei.cod_fiscale) > 0
			THEN aclie.cognome --+ 'JJ'
			ELSE aclie.nome
	END	AS nome,
	--aclie.nome as nome,
	CASE
		WHEN LEN(csei.cod_fiscale) = 11
			THEN aclie.nome
			ELSE CASE WHEN CHARINDEX('@',csei.cod_fiscale) > 0 
					THEN aclie.nome + ' - ' + substring(csei.cod_fiscale,CHARINDEX('@',csei.cod_fiscale)+1,LEN(csei.cod_fiscale))
			ELSE
				aclie.cognome
			END	
	END	AS cognome,
csei.indirizzo + (case isnull(csei.presso,'') when '' then '' else CHAR(13) + 'C/O ' + csei.presso end) as via,
			csei.citta as localita,
			--csei.prov as provincia,
			--V modificata il campo provincia viene scritto tra parentesi (PROVINCIA). NEl caso di nazione estera non viene valorizzato
			--quindi viene usato per la nazione
			case when (upper(csei.nazione) <> 'ITALIA') then csei.nazione else csei.prov end as provincia,
			case when (upper(csei.nazione) <> 'ITALIA') then '' else csei.cap end as cap,
			dbo.Replace_Oggetto_Lettera_Benvenuto(
						csei.CodiceContratto,
						aclie.cognome,
						aclie.nome,tla.[OGGETTO],
						@tipoReport
						) as oggetto,
--DA TOGLIERE
			csei.codiceContratto as CodiceContratto,
			c6martperiodico.Replace_Testo_Lettera_Benvenuto(	
												csei.CodiceContratto,
												csei.freq_Diagnosi,
												csei.freq_Monitor,
												aclie.cognome,
												aclie.nome, 
												@tipoReport,
												csei.indirizzo,
												servizi.dataattivazione,
												@dataRichiestaRistampa,
												null,
												tla.[TESTO]
											) as testo,
			dbo.replace_Firma_Lettera_Benvenuto(tla.firma) as firma,
 0 as pagina
		FROM	
			[C6MartPeriodico].[TESTO_LETTERA_ACCETTAZIONE] tla,	
			[consuni].[ConsulenzaUnica].[dbo].[v_servizi_aggiuntivi] servizi,
			[C6MartPeriodicoImmobiliare].[CONTRATTOSEI] csei
			INNER JOIN
			[C6MartPeriodicoImmobiliare].[ANAG_CLIENTI] aclie
			on
				csei.rete = aclie.rete and
				csei.cod_fiscale = aclie.cod_fiscale
		WHERE
			csei.rete = @rete and
			csei.cod_Fiscale = @cf and
			tla.id = @codiceLettera and
			(@idreport = -1)
			AND isnull(csei.data_fineavanzato,'99991231') > c6martperiodico.getTrimestre(c6martperiodico.getTrimestre(getDate(),-1),0)
			and servizi.chiaveclientepb in (select chiaveclientepb from c6mart.vcontratti where cod_fiscale = csei.cod_Fiscale)
			and servizi.chiaveservizioaggiuntivo = 1 and servizi.flagattivo = 1
END