﻿-- Stored procedure
-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
-- NUOVA STORED PER INTERVENTO MIGRAZIONE ASU3
CREATE procedure [C6MartPeriodico].[BONIFICA_WSEIUL_pre_selective]
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
 	DECLARE @ID_ELAB INT
	DECLARE @TIPO_ELAB VARCHAR(1)
	SET @ID_ELAB = C6MART.GETIDELAB()
	SET @TIPO_ELAB = C6MART.GETTIPOELAB()
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'BONIFICA_WSEIUL_pre_selective',
		GETDATE(),
		'Elaborazione trimestrale'
	)
-- Bonifica effettuata nell'ambito della migrazione di alcuni prodotti alla tipologia ASU3: 
-- per tali prodotti, nel campo ISIN la replica DB2 fornisce il valore del sottoprodotto 
-- in quanto nel campo SUBPROD è stata impostata la Linea (al processo di Trimestrale l'informazione
-- del sottoprodotto non è necessaria mentre è necessario ripulire il campo ISIN utilizzato esclusivamente
-- per i prodotti SKANDIA
	UPDATE C6STAGINGPERIODICO.WSEIUL
	SET ISIN = ''
	/* 20161220 introdotto nuovo prodotto con codint = RE */
	WHERE CODINT in ('RM','RS','RB','RV','RE')
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'BONIFICA_WSEIUL_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'BONIFICA_WSEIUL_pre_selective'
		)
--grant execute on [C6MartPeriodico].[BONIFICA_WSEIUL_pre_selective] to public
END