﻿CREATE procedure [C6MartPeriodico].[GESTIONE_SELECT_PDF_GETDATATHREADS_CAMPIONE_FOR_STATISTICS]
(@VolThreads int = 100000)
AS
BEGIN
		SET NOCOUNT ON;
 declare @dataTrimestre as datetime
 declare @dataTrimestrePRec as datetime
SELECT @dataTrimestre = c6martperiodico.gettrimestre2(getdate(),0),
@dataTrimestrePRec=c6martperiodico.getPreviousTrimestre(getDate(),0)
 SELECT  DISTINCT
			contratti.Cod_Fiscale CodiceFiscale
	 FROM  [C6MartPeriodico].contrattoSEI contratti		 
		left outer join [C6MartPeriodico].ANAG_PROMOTORI promotori
			on contratti.Rete = promotori.Rete
			and contratti.Cod_Agente = promotori.Id_Promotore
		inner join [C6MartPeriodico].ANAG_CLIENTI clienti
			on contratti.Rete = clienti.Rete
			and contratti.Cod_Fiscale = clienti.Cod_Fiscale
		--V non stampo se non ha patrimonio
		inner join [C6MartPeriodico].vPatrimoniobfAggregato patrimonioBF
--left join [C6MartPeriodico].vPatrimoniobfAggregato patrimonioBF
			on contratti.Rete = patrimonioBF.Rete
			and contratti.Cod_Fiscale = patrimonioBF.Cod_Fiscale 
		left outer join [C6Mart].vPatrimonioAltroAggregato patrimonioAltro
			on contratti.Rete = patrimonioAltro.Rete
			and contratti.Cod_Fiscale = patrimonioAltro.Cod_Fiscale 
		left outer join [C6MartPeriodico].vPatrimonioImmobAggregato patrimonioImmobiliare
			on contratti.Rete = patrimonioImmobiliare.Rete
			and contratti.Cod_Fiscale = patrimonioImmobiliare.Cod_Fiscale 
		left outer join [C6MartPeriodico].vPatrimonioTerziAggregato patrimonioTerzi
			on contratti.Rete = patrimonioTerzi.Rete
			and contratti.Cod_Fiscale = patrimonioTerzi.Cod_Fiscale 
		left outer join [C6MartPeriodico].MIFID MIFID
			on contratti.Rete = MIFID.Rete
			and contratti.Cod_Fiscale = MIFID.Cod_Fiscale
		left outer join [C6MartPeriodico].vPatrimonioNonRappresentabileAsset PatrNonRapprAsset
			on contratti.Rete = PatrNonRapprAsset.Rete
			and contratti.Cod_Fiscale = PatrNonRapprAsset.Cod_Fiscale
		left outer join [C6MartPeriodico].vNumeroIntermediari numIntermediari
			on contratti.Rete = numIntermediari.Rete 
			and contratti.Cod_Fiscale = numIntermediari.Cod_Fiscale
		left outer join [C6MartPeriodico].RISCHIO_AGGREGATO RISCHIO_NA
			on contratti.Rete = RISCHIO_NA.Rete 
			and contratti.Cod_Fiscale = RISCHIO_NA.Cod_Fiscale
			and RISCHIO_NA.cod_aggreg = 'COMPLESSIVO|BF|NA'
			--modificata da Valerio 12 marzo 2012
			--left outer join [C6MartPeriodico].RISCHIO_AGGREGATO RISCHIO_RISORSEFINANZIARIE
		inner join [C6MartPeriodico].RISCHIO_AGGREGATO RISCHIO_RISORSEFINANZIARIE
			on contratti.Rete = RISCHIO_RISORSEFINANZIARIE.Rete 
			and contratti.Cod_Fiscale = RISCHIO_RISORSEFINANZIARIE.Cod_Fiscale
			and RISCHIO_RISORSEFINANZIARIE.cod_aggreg = 'COMPLESSIVO|BF'		
		left outer join C6MartPeriodico.PARTITE_VIAGGIANTI PARTITEVIAGGIANTI
			on contratti.Rete = PARTITEVIAGGIANTI.RETE
			and contratti.Cod_Fiscale = PARTITEVIAGGIANTI.COD_FISCALE
		left join c6martperiodico.monitoraggio_attuale monit
			on patrimonioBF.rete = monit.rete
			and patrimonioBF.cod_fiscale = monit.cod_fiscale
		left join c6martperiodico.monitoraggio_iniziale monitInit
			on patrimonioBF.rete = monitInit.rete
			and patrimonioBF.cod_fiscale = monitInit.cod_fiscale
			left join c6martperiodico.monitoraggio_report monitReport
			on patrimonioBF.rete = monitReport.rete
			and patrimonioBF.cod_fiscale = monitReport.cod_fiscale
		inner join  c6martperiodico.TB_Campione Campione
		on contratti.rete= Campione.rete and contratti.cod_fiscale= Campione.cod_fiscale
		and flag_stampa=1
		WHERE 1=1
-- DA ELIMINARE .... IL CAMPIONE DEVE ESSERE INSERITO E GESTITO NELLA TABELLA c6martperiodico.TB_CAMPIONE
  --and  contratti.rete+contratti.cod_fiscale in 
  --(
  --select rete+cod_fiscale from c6martperiodico.TB_CAMPIONE
  --) 
--and  contratti.rete+contratti.cod_fiscale in
--(
--'FGSPLSN31B26E648J',
--'FVSNPTR31L14B402B',
--'FBRGFBA61P09B639N'
--)
--insert into c6martperiodico.TB_Campione
--values ('F','RZUGTN30M07C351I',1)
END