﻿CREATE procedure [C6MartPeriodico].[UPDATE_TABELLE_CAMBIO_RETE]
AS
begin
---------------------------------------    Recupero dalla Puc l'elenco dei cf sui quali è stato fatto il cambio rete
select v.codfis, v.piva, v.codman, v.codicecontratto, v.statocontratto, v.rete as retenew, v.agente as agentenew, c.rete as reteold, c.pb as agenteold
into #elenco
from [consuni].consulenzaunicafl.dbo.ClienteCambioReteContratto c
inner join [consuni].consulenzaunica.dbo.vinfocliente v
on v.codicecontratto=c.cod_conf
where flag_cli_fittizio='N'
and statocontratto in ('SEI','AVANZATOBASE')
----------------------------------------  Aggiorno la rete sulle tabelle del giornaliero per evitare un nuovo invio di lettere ed email
exec dbo.CreaTabellaBackUp 'gestione_pdf_ftp', 'c6mart', 'preCambioRete'
--select pdf.codicefiscale,pdf.rete as reteAttuale, elenco.retenew as nuovaRete
update pdf set pdf.rete = elenco.retenew
from  c6mart.gestione_pdf_ftp pdf
inner join #elenco elenco
on pdf.codicefiscale = elenco.codfis
exec dbo.CreaTabellaBackUp 'gestione_email', 'c6mart', 'preCambioRete'
--select email.cod_fiscale,email.rete as reteAttuale,elenco.retenew as nuovaRete
update email set email.rete = elenco.retenew
from c6mart.gestione_email email
inner join #elenco elenco
on email.cod_fiscale = elenco.codfis
----------------------------------------  Aggiorno la rete sulle tabelle della Trimestrale
exec dbo.CreaTabellaBackUp 'APPO_CONTRATTI', 'C6StagingPeriodico', 'preCambioRete'
--select appo.cod_fiscale,appo.rete as reteAttuale,elenco.retenew as nuovaRete
update appo set appo.rete = elenco.retenew
from [C6StagingPeriodico].[APPO_CONTRATTI] appo
inner join #elenco elenco
on appo.cod_fiscale = elenco.codfis
-- Log esecuzione
	--INSERT INTO LOG_ESECUZIONE_PERIODICO
	--	(Nome, Inizio, Nota)
	--VALUES (
	--	'UPDATE_TABELLE_CAMBIO_RETE',
	--	GETDATE(),
	--	'Elaborazione trimestrale'
	--)
	-- Log esecuzione
	--UPDATE
	--	LOG_ESECUZIONE_PERIODICO
	--SET
	--	Fine = GETDATE(),
	--	Tipo = 'UPDATE',
	--	Righe = @@ROWCOUNT
	--WHERE
	--	Nome = 'UPDATE_TABELLE_CAMBIO_RETE' AND
	--	Inizio = (
	--		SELECT
	--			MAX(Inizio)
	--		FROM
	--			LOG_ESECUZIONE_PERIODICO
	--		WHERE
	--			Nome = 'UPDATE_TABELLE_CAMBIO_RETE'
	--	)
end