﻿CREATE TABLE [C6Mart].[PATRIMONIO_BF] (
	[RETE] varchar(1) NOT NULL,
	[COD_FISCALE] varchar(16) NOT NULL,
	[POSITION_ID] varchar(128) NOT NULL,
	[COD_PRODOTTO] varchar(64) NOT NULL,
	[ID_CONTRATTO] varchar(11) NOT NULL,
	[DATA_SOTTOSCRIZIONE] datetime NULL,
	[COD_STATO] varchar(20) NULL,
	[NUM_POLIZZA] varchar(20) NULL,
	[COD_MAF] varchar(20) NULL,
	[COD_INTERNO] varchar(50) NULL,
	[COD_SOTTOPRODOTTO] varchar(5) NULL,
	[TIPO_PRODOTTO] varchar(5) NULL,
	[NOME_PROGETTO] varchar(40) NULL,
	[ID_AREA] varchar(20) NULL,
	[DATA_OPERAZIONE] datetime NULL,
	[DATA_VALUTA] datetime NULL,
	[DATA_REGOLAMENTO] datetime NULL,
	[QUANTITA] decimal(15,3) NULL,
	[PREZZO] decimal(13,5) NULL,
	[CTV] decimal(15,3) NULL,
	[CTV_NOMINALE] decimal(15,3) NULL,
	[VERSATO_NETTO] decimal(15,3) NULL,
	[PARTVIA_DISINV] decimal(15,3) NULL,
	[DATA_PARTVIA_DISINV] datetime NULL,
	[PARTVIA_INV] decimal(15,3) NULL,
	[REND_SOTTOSCRIZIONE] decimal(8,5) NULL,
	[REND_TRIMESTRE] decimal(8,5) NULL,
	[REND_ANNO] decimal(8,5) NULL,
	[ID_ELAB] int NULL,
	[TIPO_ELAB] varchar(1) NULL,
	[STRTYPE] varchar(50) NULL,
	[COMPLEX] smallint NULL,
	[EMITTENTE] varchar(256) NULL,
	[ISIN] varchar(12) NULL,
	[chiaveClientePB] int NULL,
	[chiaveProgetto] bigint NULL,
	[ClienteDB] char(2) NULL,
	[Nob_Prez] varchar(2) NULL,
	[Dossier] varchar(8) NULL
)
ALTER TABLE [C6Mart].[PATRIMONIO_BF] ADD CONSTRAINT [PK_PATRIMONIO_BF] PRIMARY KEY CLUSTERED ([RETE],[COD_FISCALE],[POSITION_ID])
GO