﻿CREATE view [C6MartPeriodico].[vPatrimonioImmobiliare_20190214]
as
					select
								vInfo.Rete,
								vInfo.CodFis as Cod_Fiscale,
								dett.Descrizione,
								dett.tipologia as Tipologia,
								dett.comune as Localita,
								isnull(dett.renditaAnnua, 0) as AffittoPercepito,
								dett.valoreimmobiletotale as Valore,
								0 as Totale,
								0 as TotaleAffitto,		
								isnull(tCoin.tipologiaDiritto,'Proprietà') as TipologiaDiritto,
								case when pt.idimmobilecatasto is not null then tCoin.quotaDiritto else dett.quotaProprieta end ProQuota,
								case when isnull(tCoin.moltiplicatoreDiritto*dett.valoreImmobileTotale,0) = 0 
									then dett.valoreImmobile 
									else ROUND(CAST (dett.valoreImmobileTotale*tCoin.moltiplicatorediritto AS decimal (18,2)),2) 
								end as Valore_ProQuota,
								0 as TotaleProQuota
							from ( select distinct con.chiaveClientePBProprietario,con.chiaveprodottoterzi,condett.tipologiadiritto ,condett.quotaDiritto, condett.moltiplicatorediritto
									from [CONSUNI_PERIODICO].consulenzaunica.dbo.cointestatari con
									inner join [CONSUNI_PERIODICO].consulenzaunica.dbo.CointestatariDettaglioDiritto condett
									on condett.chiavecointestatari = con.chiavecointestatari
									and condett.chiaveprodottoterzi = con.chiaveprodottoterzi
									where con.chiaveclientepb=con.chiaveClientePBProprietario
									) tCoin
										inner join [CONSUNI_PERIODICO].consulenzaunica.dbo.dettImmobiliare dett
										on tCoin.chiaveProdottoTerzi = dett.chiaveProdottoTerzi
											inner join [CONSUNI_PERIODICO].consulenzaunica.dbo.PatrimonioTerzi pt
											on dett.chiaveProdottoTerzi = pt.chiaveProdottoTerzi
												left join [CONSUNI_PERIODICO].consulenzaunica.dbo.dfinalita fin
												on fin.codfinalita=dett.codfinalita
													left join [CONSUNI_PERIODICO].consulenzaunica.dbo.dtipoimmobile dti
													on dti.codtipologia=dett.codtipologia
														left join  [CONSUNI_PERIODICO].consulenzaunica.dbo.DNazioneEstera dne
														on dne.codNazioneEstera = dett.codNazioneEstera
															inner join [CONSUNI_PERIODICO].consulenzaunica.dbo.vInfoCliente vInfo
															on pt.chiaveClientePB = vInfo.chiaveClientePB