﻿CREATE VIEW [C6Mart].[vTuttiIContratti_old240413]
AS
SELECT     Rete, Cod_Agente, Cod_Fiscale, PIva_Fiduciaria, CodiceContratto, Freq_Monitor, Freq_Diagnosi, ProfiloAttivo, 'G' AS TipoElaborazione, CASE WHEN (DATEDIFF(DAY, 
                      Data_InizioBase, Data_Sott) > 0) THEN 1 ELSE 0 END AS AdesioneSuccessivaAvanzato, InvioBenvenuto, ClienteMigrato, RisorseNa, NumRevoche, 
                      PartViaDisinv, Data_Perf
FROM         C6Mart.CONTRATTOSEI AS C6
WHERE     1 = 1 
AND (InvioBenvenuto = 'N') 
AND (Data_FineAvanzato IS NULL) 
UNION ALL
SELECT     C6.Rete, Cod_Agente, C6.Cod_Fiscale, PIva_Fiduciaria, CodiceContratto, Freq_Monitor, Freq_Diagnosi, ProfiloAttivo, 'G' AS TipoElaborazione, CASE WHEN (DATEDIFF(DAY, 
                      Data_InizioBase, Data_Sott) > 0) THEN 1 ELSE 0 END AS AdesioneSuccessivaAvanzato, InvioBenvenuto, ClienteMigrato, RisorseNa, NumRevoche, 
                      PartViaDisinv, Data_Perf
FROM         C6Mart.CONTRATTOSEI AS C6 INNER JOIN
                      C6Mart.GESTIONE_EMAIL AS ge ON C6.Cod_Fiscale = ge.Cod_Fiscale AND C6.Rete = ge.Rete AND ge.Tipo = 'PERF' AND ge.data_invio IS NULL
WHERE     (1 = 1) AND InvioBenvenuto = 'S' AND (Data_FineAvanzato IS NULL)