﻿--select * from FLRPT_InvioReport_Periodico
CREATE VIEW [dbo].[FLRPT_InvioReport_Periodico]
AS
SELECT     pdf.IdReport AS KeyReport, pdf.CodiceFiscale AS CodFiscale, pdf.Rete AS CodRete, pdf.Rete + C6.Cod_Agente AS CodAgente, '' AS CodMan, 
                      CASE WHEN pdf.TipoReport = 'D' THEN 'DIAGNOSI' ELSE 'MONITORAGGIO' END AS TipoReport, pdf.DataInvio AS DtInvio, 
                      pdf.DataGenerazione AS DtGenerazione, flagDefinitivo
FROM
	C6MartPeriodico.GESTIONE_PDF_FTP AS pdf
INNER JOIN
--Inizio Intervento
--Intervento effettuato il 30/04/2014 per consentire l'accensione dell'alert relativo alla generazione ed invio 
--dei report di Trimestrale anche per i Clienti che presentano un contratto cessato durante il Trimestre 
--in elaborazione (questi non sono presenti sulla tabella CONTRATTOSEI del giornaliero mentre sono presenti 
--nella medesima tabella del Periodico in quanto oggetto di Trimestrale
--	C6Mart.CONTRATTOSEI AS C6
	C6MartPeriodico.CONTRATTOSEI AS C6
--Fine Intervento	
ON
	pdf.Rete = C6.Rete
AND
	pdf.CodiceFiscale = C6.Cod_Fiscale
INNER JOIN
	[10.10.33.175\i1].seireport.dbo.repositoryMetadati rmd
ON
	pdf.IdReport = rmd.idInRepository
where pdf.idreport <> pdf.identityreport	
--Inizio Intervento
--Intervento effettuato il 30/04/2014 per consentire l'accensione dell'alert relativo alla generazione ed invio 
--dei report di Trimestrale anche per i Clienti che presentano un contratto cessato durante il Trimestre 
--in elaborazione 
--WHERE     (C6.Data_FineAvanzato IS NULL)
--Fine Intervento