﻿CREATE FUNCTION [C6StagingPeriodico].[GetContrattiChiusiFromSEI]
(
@startdate varchar(10),
@enddate varchar(10)
)
RETURNS table
AS
RETURN
 (
select 
b.chiaveClientePB
,b.CF
,b.PIVA
,b.PB
,b.RETE
,b.COD_CONF
,b.INDIRIZZO
,b.CAP
,b.CITTA
,b.PROV
,b.NAZIONE
,s.EMAIL
,v.FREQUENZA_DIAGNOSI
,v.FREQUENZA_MONITORAGGIO
,r.FLAG_STAMPA_REPORT
,b.DATA_SOTTOSCRIZIONE_CB
,b.DATA_PERFEZIONAMENTO_CB
,b.DATA_CHIUSURA_CB
,s.DATA_SOTTOSCRIZIONE_C6
,s.DATA_PERFEZIONAMENTO_C6
,s.DATA_CHIUSURA_C6
,s.ADESIONE_ROL
,s.TIPCONTRATTO
--into consulenzabasefl_cbs_AvanzatiChiusi
from 
	[CONSUNI].ConsulenzaUnicaFL.dbo.CBS_DbContrattoBase b 
inner join 
	[CONSUNI].ConsulenzaUnicaFL.dbo.CBS_DbContrattoSei s
on b.COD_CONF=s.COD_CONF
inner join [CONSUNI].ConsulenzaUnicaFL.dbo.CBS_DbVariazFreqContrSei v
on v.COD_CONF=b.COD_CONF  and 
--v.DATA_FINE_CARATTER_FREQ='99991231'
v.DATA_FINE_CARATTER_FREQ=
(select max(z.DATA_FINE_CARATTER_FREQ) from [CONSUNI].ConsulenzaUnicaFL.dbo.CBS_DbVariazFreqContrSei z
 where v.COD_CONF=z.COD_CONF)
inner join [CONSUNI].ConsulenzaUnicaFL.dbo.CBS_DbVariazStmrepContrSei r 
on r.COD_CONF=b.COD_CONF and
r.DATA_FINE_CARATTER_STMREP=
(select max(y.DATA_FINE_CARATTER_STMREP) from [CONSUNI].ConsulenzaUnicaFL.dbo.CBS_DbVariazStmrepContrSei y
 where r.COD_CONF=y.COD_CONF)
where b.DATA_CHIUSURA_CB!='99991231' and s.DATA_CHIUSURA_C6!='99991231'
-- and  r.DATA_FINE_CARATTER_STMREP='99991231'
and s.DATA_CHIUSURA_C6 between @startdate and @enddate
)