﻿-- =============================================
-- Author:		Marian Zaki
-- Create date: 29/11/2010
-- Description:	Checks for data validation 
-- =============================================
-- [C6MartPeriodico].[PL_S57ConfrontoPiramidi] 'S','TMOSST58P03L840W'
CREATE procedure [C6MartPeriodico].[CHECK_INSERT_CTV_PER_SECTION]
-- Add the parameters for the stored procedure here
@Rete char(1), 
@CodiceFiscale varchar(16),
@S57CTV decimal(38,3),
@S43_S47CTV decimal(38,3),
@S10CTV decimal(38,3),
@S75CTV decimal(38,3)
AS
BEGIN
insert into Check_DifferenceInCTVPerClient ([RETE] ,[Cod_Fiscale] ,[S57CTV] ,[S43_S47CTV] ,[S10CTV] , [S75CTV]) 
VALUES ( @Rete, @CodiceFiscale, @S57CTV, @S43_S47CTV, @S10CTV, @S75CTV )
END