﻿-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
-- [C6MartPeriodico].[PL_S85RendimentoPortafoglioCono] 'F','CNTGCR68T31D458G'
CREATE procedure [C6MartPeriodico].[PL_S85RendimentoPortafoglioCono]
	-- Add the parameters for the stored procedure here
	@Rete char(1), 
	@CodiceFiscale varchar(16)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
SELECT [RETE]
      ,[COD_FISCALE]
      ,[ID_AREA]
      ,isnull([NOME_PROGETTO],'XXX') as NOME_PROGETTO
      ,[TIPO_PROGETTO]
      ,[PERC_AREA]
      ,[CTV_PROGETTO]
      ,[CTV_AREA]
      ,[ORIZZ_TEMP_NUM]
      ,[ORIZZ_TEMP]
      ,[CTV_TOTALE]
      ,[STATO_CONSULENZA]
      ,[DATA_STATO_CONS]
      ,[DATA_MIGR_CONS]
      ,[ID_CONTRATTO]
      ,[ORDINAMENTO_PROGETTO]
      ,[ID_ELAB]
      ,[TIPO_ELAB]
into #pir_mod_xxx
  FROM [C6StampeCentralizzate].[C6MartPeriodico].[PIRAMIDE_MOD]
  WHERE cod_fiscale = @CodiceFiscale AND rete = @rete
--select * from #pir_mod_xxx where cod_fiscale = 'FF@7181'
	SELECT
		CONO.ID_AREA AS NEED_AREA,
		CASE
			WHEN CONO.NOME_PROGETTO = 'XXX' THEN ''
			ELSE CONO.NOME_PROGETTO
		END AS NOME_PROGETTO,
		cono.ordinamento_progetto,
		CONO.DATA_CONO,
		CONO.SCENARIO_OTTIMISTICO AS OTTIMISTICO,
		CONO.SCENARIO_PESSIMISTICO AS PESSIMISTICO,
		isnull(PIRMOD.ORIZZ_TEMP_NUM,0) * 12 AS ORIZZONTE_MESI,
		MONIT.RENDIMENTO_CUMULATO AS RENDIMENTO,
		MONIT.DATA_CTV AS DATA_MONIT
	--	into #test --aggiunta 20221219
	FROM
		C6MartPeriodico.CONO_PIANIFICAZIONE AS CONO
	INNER JOIN C6MartPeriodico.MONITORAGGIO_ATTUALE AS MONIT
		ON CONO.RETE = MONIT.RETE
		AND CONO.COD_FISCALE = MONIT.COD_FISCALE
		AND CONO.ID_AREA = MONIT.ID_AREA
		AND CONO.NOME_PROGETTO = MONIT.NOME_PROGETTO
		And cono.ordinamento_progetto=monit.ordinamento_progetto --l'ordinamento progetto è sempre pari alla chiaveprogetto e non idmonitoraggio
	INNER JOIN #pir_mod_xxx as PIRMOD
		ON CONO.RETE = PIRMOD.RETE
		AND CONO.COD_FISCALE = PIRMOD.COD_FISCALE
		AND CONO.ID_AREA = PIRMOD.ID_AREA
		AND CONO.NOME_PROGETTO = PIRMOD.NOME_PROGETTO
		And cono.ordinamento_progetto=pirmod.ordinamento_progetto
--	INNER JOIN C6MartPeriodico.PIRAMIDE_MOD AS PIRMOD
--		ON CONO.RETE = PIRMOD.RETE
--		AND CONO.COD_FISCALE = PIRMOD.COD_FISCALE
--		AND CONO.ID_AREA = PIRMOD.ID_AREA
--		AND CONO.NOME_PROGETTO = PIRMOD.NOME_PROGETTO
	WHERE
		CONO.RETE = @Rete AND
		CONO.COD_FISCALE = @CodiceFiscale
		--and DATA_CTV is not null
	ORDER BY CONO.DATA_CONO
	--aggiunta 20221219
	--select *
	--from #test
	--where DATA_MONIT is not null and RENDIMENTO<>'0.00'
	drop table #pir_mod_xxx
END