﻿-- =============================================
-- Author:		Fabrizio Caruso
-- Create date: 21/02/2015
-- Description:	Calcolo su  Totali Report per gestione generazione Zip
-- =============================================
CREATE procedure [C6MartPeriodico].[sp_getDatiReport]
AS
BEGIN
select top 400 pdf.codicecontratto as codiceContratto ,
pdf.rete as rete ,
pdf.codicefiscale as codiceFiscale ,
clienti.nome as nomeCliente  ,
clienti.cognome as cognomeCliente, 
pdf.TipoReport as TipoReport,
pdf.idReport as IdReport ,
contratti.cod_agente as codAgente ,
isnull(promot.nome,'') as nomeAgente ,
isnull(promot.Cognome,'') as cognomeAgente ,
pdf.numeropagine as numeroPagine ,
pdf.NomeFile as NomeFile,
contratti.tip_contratto tipoContratto,
id_fk_zip,
pdf.identityreport
from [C6MartPeriodico].[GESTIONE_PDF_FTP]  PDF
inner join C6MartPeriodico.controllo_trimestrale contr
on pdf.rete = contr.rete and pdf.codicefiscale=contr.cod_fiscale
inner join [C6MartPeriodico].[ANAG_CLIENTI] Clienti
on pdf.rete=clienti.rete and pdf.codicefiscale=clienti.COD_FISCALE 
inner join [C6StagingPeriodico].Appo_Contratti Contratti
on contratti.rete=pdf.rete and contratti.cod_fiscale= pdf.codicefiscale 
left join [C6MartPeriodico].[ANAG_Promotori] promot
on contratti.rete=promot.rete and contratti.cod_agente= promot.id_promotore
left join C6martperiodico.ExcludedList ex 
on  pdf.rete=ex.rete and pdf.codicefiscale = ex.codicefiscale
where stato_report=8 -- Se già generata la WhiteList -- 6 Se ancora non generata
and IDReport=IdentityReport -- Utilizzare Questa Condizione in fase di generazione massiva 
-- 27/10/2015 FCianfa commento cdz
-- Utilizzare questa condizione in fase di recupero report
--and IDReport in 
--(select identificativo from dbo.reportDainserire_recupero)
--order by IdentityReport
End