﻿-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [C6Mart].[RP_DM_ASSET_PERC_TERZI]
AS
BEGIN
	SET NOCOUNT ON;
	DECLARE @ID_ELAB INT
	DECLARE @TIPO_ELAB VARCHAR(1)
	SET @ID_ELAB = C6MART.GETIDELAB()
	SET @TIPO_ELAB = C6MART.GETTIPOELAB()
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_DM_ASSET_PERC_TERZI',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	TRUNCATE TABLE C6MART.ASSET_PERC_TERZI
	INSERT INTO [C6Mart].[ASSET_PERC_TERZI]
		([COD_PRODOTTO_TERZI] --
		,[ID_ASSETCLASS] --
		,[LIVELLO] --
		,[NOME_PRODOTTO]
		,[TIPO_PRODOTTO]
		,[PERC] --
		,[ID_ELAB]
		,[TIPO_ELAB])
	SELECT DISTINCT
		RP_PatrimonioTerzi.chiaveProdottoTerzi AS COD_PRODOTTO_TERZI,
		RP_AssetClass.Asset AS ID_ASSETCLASS,
		RP_AssetClass.Livello AS LIVELLO,
		NULL AS NOME_PRODOTTO,
		NULL AS TIPO_PRODOTTO,
		RP_MappaturaPT.percentuale / 100 AS PERC,
		@ID_ELAB AS ID_ELAB,
		@TIPO_ELAB AS TIPO_ELAB
	--INTO C6MART.ASSET_PERC_TERZI
	FROM
		C6Staging.RP_PatrimonioTerzi
	INNER JOIN
		C6Staging.RP_DettProdottiTerzi
	ON
		C6Staging.RP_PatrimonioTerzi.chiaveProdottoTerzi = C6Staging.RP_DettProdottiTerzi.chiaveProdottoTerzi
	INNER JOIN
		C6Staging.RP_S4_S5_S13_TRAD_UNTIL_LIV3
	ON
		C6Staging.RP_DettProdottiTerzi.alberatura = C6Staging.RP_S4_S5_S13_TRAD_UNTIL_LIV3.alberatura
	INNER JOIN
		C6Staging.RP_MappaturaPT
	ON
		C6Staging.RP_PatrimonioTerzi.chiaveProdottoTerzi = C6Staging.RP_MappaturaPT.chiaveProdottoTerzi
	INNER JOIN
		C6Staging.RP_AssetClass
	ON
		C6Staging.RP_MappaturaPT.asset = C6Staging.RP_AssetClass.Asset
	--SELECT DISTINCT
	--	PATR_TP.CHIAVE_THR AS COD_PRODOTTO_TERZI,
	--	ASS.OID_ AS ID_ASSETCLASS,
	--	ASS.ASSETCLASSLEV AS LIVELLO,
	--	PATR_TP.NOMEPRODOTTO AS NOME_PRODOTTO,
	--	ALBERO.ALBERO_GERARCHIA_3 AS TIPO_PRODOTTO,
	--	ACB.BDPERCENTAGE AS PERC,
	--	@ID_ELAB AS ID_ELAB,
	--	@TIPO_ELAB AS TIPO_ELAB
	--FROM
	--	C6STAGING.ALL_PATR_TERZI PATR_TP,
	--	C6STAGING.ACBDENOTH ACB,
	--	C6STAGING.ASSETCLASS ASS,
	--	C6STAGING.S4_S5_S13_TRAD_UNTIL_LIV3 ALBERO
	--WHERE 1 = 1
	--	AND PATR_TP.CHIAVE_FNC IS NOT NULL
	--	AND ALBERO.DESCRIZIONE_ORIGINALE = PATR_TP.DESCRIZIONE_ALBERATURA
	--	AND ACB.F_PFINANCIAL_815C0 = PATR_TP.CHIAVE_FNC
	--	AND ACB.F_OID__PASSE_CDF1A = ASS.OID_
	--	AND ASS.ASSETCLASSLEV IN (1,2)
	--	AND PATR_TP.PRODOTTO_IN_CATALOGO IS NULL
	--GROUP BY
	--	PATR_TP.CHIAVE_THR,
	--	PATR_TP.NOMEPRODOTTO, 
	--	ASS.OID_, 
	--	ASS.ASSETCLASSLEV,
	--	ALBERO.ALBERO_GERARCHIA_3,
	--	ACB.BDPERCENTAGE,
	--	ACB.OID_
	--ORDER BY 2,4
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_DM_ASSET_PERC_TERZI' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_DM_ASSET_PERC_TERZI'
		)
END