﻿CREATE procedure [C6StagingPeriodicoImmobiliare].[RP_ST_Progetto] as  
BEGIN   
	-- Log esecuzione  
	INSERT INTO LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
	(Nome, Inizio, Nota)  
	VALUES (  
	'RP_ST_Progetto',  
	GETDATE(),  
	'Staging Immobiliare'  
	)  
	truncate table C6StagingPeriodicoImmobiliare.RP_Progetto
	insert into C6StagingPeriodicoImmobiliare.RP_Progetto 
	(
	   chiaveProgetto
      ,area
      ,chiaveConsulenza
      ,tipoProgetto
      ,dtCreazione
      ,dtUltimaModifica
      ,capLiquidoEntrata
      ,capLiquidoUscita
      ,varPianificato
      ,varProgetto
      ,coperturaProgetto
      ,profiloProgetto
      ,orizzonteTemporale
      ,ctvProgetto
      ,chiaveProgettoMod
      ,flagAvviatoMonitoraggio
      ,percProgetto
      ,ctvPianificato
      ,chiavePtfMod
      ,dtFineValidita
      ,flagCambioParametri
      ,flagPianificazione
      ,dtReset  )
	select  
	   prog.chiaveProgetto
	  -------------------------> modifica del 13/1/2017 per gestire l'accorpamento (sulla nuova CU) dell'area previdenza, non più distinta tra pre1 e pre2
			--,a.area
	    ,CASE 
			-------------------------> modifica del 16/1/2017 per correggere le anomalie dovute al nome progetto 'previdenza' sulle aree inv
			--WHEN propirMod.nomeProgetto = 'Previdenza Essenziale' THEN 'Pre1'
			--WHEN propirMod.nomeProgetto = 'Previdenza Secondaria' THEN 'Pre2'
				WHEN propirMod.nomeProgetto = 'Previdenza Essenziale' and a.area = 'Pre' THEN 'Pre1'
				WHEN propirMod.nomeProgetto = 'Previdenza Secondaria' and a.area = 'Pre' THEN 'Pre2'
			-------------------------> fine modifica del 16/1/2017
			else a.area END AS area
      -------------------------> FINE modifica del 13/1/2017 
      ,chiaveConsulenza
      ,null as tipoProgetto -- NULL 16/09
      ,propirMod.dtInizioValidita as dtCreazione
      ,prog.dtaggiornamento as  dtUltimaModifica
      ,capLiquidoEntrata
      ,capLiquidoUscita
      ,varPianificato
      ,Null as varProgetto
      ,coperturaProgetto
      ,null as profiloProgetto
	  /* 20170117 durata > 9 anni */
      ,SUBSTRING (propirMod.durata,1,2) as orizzonteTemporale
      ,null as ctvProgetto  
      ,propirMod.chiaveProgettoMod
      ,flagAvviatoMonitoraggio
      ,null as percProgetto
      ,ctvPianificato
      ,chiavePtfMod
      ,'99991231' as dtFineValidita
      ,flagCambioParametri
      ,flagPianificazione
      ,dtReset
    ------------------> MODIFICA DEL 17/1/2017 -- SI DEVE PUNTARE AL CONGELATO E NON ALL'ONLINE
		--from CONSUNI.ConsulenzaUnica.dbo.Progetto prog
		--inner join CONSUNI.ConsulenzaUnica.dbo.area a
		--on a.chiaveArea = prog.chiavearea 
		--inner join  CONSUNI.ConsulenzaUnica.dbo.ProgettiPiramideModello propirMod
		--on propirMod.chiaveprogettomod = prog.chiaveprogettomod
	from CONSUNI_PERIODICO.ConsulenzaUnica.dbo.Progetto prog
	inner join CONSUNI_PERIODICO.ConsulenzaUnica.dbo.area a
	on a.chiaveArea = prog.chiavearea 
	inner join  CONSUNI_PERIODICO.ConsulenzaUnica.dbo.ProgettiPiramideModello propirMod
	on propirMod.chiaveprogettomod = prog.chiaveprogettomod
	------------------> fine MODIFICA DEL 17/1/2017
	-- Log esecuzione
	UPDATE
	LOG_ESECUZIONE_PERIODICO_IMMOBILIARE
	SET
	Fine = GETDATE(),
	Tipo = 'INSERT',
	Righe = @@ROWCOUNT
	WHERE
	Nome = 'RP_ST_Progetto' AND
	Inizio = (
		SELECT
			MAX(Inizio)
		FROM
			LOG_ESECUZIONE_PERIODICO_IMMOBILIARE
		WHERE
			Nome = 'RP_ST_Progetto'
	)
	-- Log esecuzione  
	INSERT INTO LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
	(Nome, Inizio, Nota)  
	VALUES (  
	'RP_ST_Progetto_2',  
	GETDATE(),  
	'Staging Immobiliare'  
	)  
	------------------> MODIFICA DEL 06/11/2017 -- inzio -- durata progetto da PortafoglioModello.orizzontetemporale
	select prog.chiaveprogettomod , pm.orizzonteTemporale
	into #temp_orizzonteTemporale_ok
	from C6StagingPeriodicoImmobiliare.RP_Progetto prog
	inner join [consuni_periodico].consulenzaunica.[dbo].PortafoglioModello pm
	on prog.chiaveptfMod=pm.chiaveptfMod
	inner join  CONSUNI_PERIODICO.ConsulenzaUnica.dbo.ProgettiPiramideModello propirMod
	on propirMod.chiaveprogettomod = prog.chiaveprogettomod 
	--where prog.orizzontetemporale<>pm.orizzonteTemporale
	update C6StagingPeriodicoImmobiliare.RP_Progetto
	set RP_Progetto.orizzonteTemporale=ok.orizzonteTemporale
	from #temp_orizzonteTemporale_ok ok 
	where RP_Progetto.chiaveprogettoMod=ok.chiaveprogettoMod
	------------------> MODIFICA DEL 06/11/2017 -- fine
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE_PERIODICO_IMMOBILIARE
	SET
		Fine = GETDATE(),
		Tipo = 'UPDATE',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_Progetto_2' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE_PERIODICO_IMMOBILIARE
			WHERE
				Nome = 'RP_ST_Progetto'
		)
END