﻿CREATE procedure [C6StagingPeriodico].[RP_ST_GradoParentela]  
as  
begin  
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_GradoParentela',  
  GETDATE(),  
  'Elaborazione Trimestrale'  
 )  
 truncate table C6StagingPeriodico.RP_GradoParentela  
 insert into C6StagingPeriodico.RP_GradoParentela  
 --select * into C6StagingPeriodico.RP_GradoParentela from [CONSEVO].[consulenzaUnica].dbo.GradoParentela  
 select * from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.GradoParentela  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_GradoParentela' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_ST_GradoParentela'  
  )  
end