﻿CREATE procedure [C6StagingPeriodico].[RP_ST_MappaturaPT_pre_selective] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_MappaturaPT_pre_selective',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_MappaturaPT
	insert into C6StagingPeriodico.RP_MappaturaPT
	--select * into C6StagingPeriodico.RP_MappaturaPT from [CONSEVO].[consulenzaUnica].dbo.MappaturaPT
	select * from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.MappaturaPT
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_MappaturaPT_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_MappaturaPT_pre_selective'
		)
end