﻿CREATE procedure [C6StagingPeriodico].[SRV_TABELLE_IN_STAGING]  
AS  
BEGIN  
DECLARE @tabella AS VARCHAR(50)   
 SET @tabella = NULL  
 SELECT TOP 1 @tabella = A.tabella  
 FROM(  
  SELECT tables.name tabella  
  FROM sys.tables tables  
  INNER JOIN sys.schemas schemas  
   ON tables.schema_id = schemas.schema_id  
  WHERE schemas.name = 'C6StagingPeriodico'  
   AND tables.name NOT IN ('TabelleStoricizzate','WSEIAN','WSEICS','WSEIPV','WSEIUL','CONGELAMENTO_SEI','PROMETEIA_AGGR')  
 ) A  
 WHERE A.tabella NOT IN (  
  SELECT Nome   
  FROM C6StagingPeriodico.TabelleStoricizzate  
 )  
 ORDER BY A.tabella  
 -- inserisce dei NULL in TabelleStoricizzate!!!  
 /*INSERT INTO [C6StagingPeriodico].[TabelleStoricizzate]  
           ([Nome])  
 VALUES  
           (@tabella)*/  
 DECLARE @tabellaStagingDaStoricizzare AS SMALLINT  
 IF @tabella IS NOT NULL  
  BEGIN  
   INSERT INTO [C6StagingPeriodico].[TabelleStoricizzate]  
       ([Nome])  
   VALUES  
       (@tabella)  
   EXEC [C6StagingPeriodico].[SRV_STORICIZZAZIONE] @tabella  
   SET @tabellaStagingDaStoricizzare = 1  
  END  
 ELSE  
  SET @tabellaStagingDaStoricizzare = 0  
 SELECT @tabellaStagingDaStoricizzare tabella, @tabella nome  
-- DECLARE @tabella AS VARCHAR(50)   
-- SET @tabella = NULL  
--  
-- -- AGGIORNAMENTO TABELLA C6StagingPeriodico.TabelleStoricizzate:  
-- --> CANCELLO LE VECCHIE  
-- DELETE C6StagingPeriodico.TabelleStoricizzate   
-- FROM sys.tables tables  
-- INNER JOIN sys.schemas schemas  
--  ON tables.schema_id = schemas.schema_id  
-- RIGHT JOIN C6StagingPeriodico.TabelleStoricizzate   
--  ON tables.name = TabelleStoricizzate.NOME  
-- WHERE schemas.name = 'C6StagingPeriodico'  
--  AND tables.name IS NULL  
--   
-- --> INSERISCO LE NUOVE TABELLE  
-- INSERT INTO C6StagingPeriodico.TabelleStoricizzate (NOME, STORICIZZATA)  
-- SELECT tables.name, 0  
-- FROM sys.tables tables  
-- INNER JOIN sys.schemas schemas  
--  ON tables.schema_id = schemas.schema_id  
-- LEFT JOIN C6StagingPeriodico.TabelleStoricizzate   
--  ON tables.name = TabelleStoricizzate.NOME  
-- WHERE schemas.name = 'C6StagingPeriodico'  
--  AND TabelleStoricizzate.NOME IS NULL  
-- -- FINE AGGIORNAMENTO TABELLA  
--  
-- -- SELEZIONE TABELLA  
-- SELECT TOP 1 @tabella = NOME  
-- FROM C6StagingPeriodico.TabelleStoricizzate  
-- WHERE STORICIZZATA = 0  
-- ORDER BY DURATA DESC  
--  
-- -- MARCATURA TABELLA SELEZIONATA  
-- UPDATE C6StagingPeriodico.TabelleStoricizzate  
-- SET   
--  STORICIZZATA = 1,  
--  VECCHIA_DURATA = DURATA,  
--  INIZIO = GETDATE()  
-- WHERE NOME = @tabella  
--  
---- select @tabella  
---- return   
--  
-- DECLARE @tabellaDaStoricizzare AS SMALLINT  
--  
-- IF @tabella IS NOT NULL  
-- BEGIN  
--  --EXEC C6StagingPeriodico.SRV_STORICIZZAZIONE @tabella  
--  SET @tabellaDaStoricizzare = 1  
-- END  
-- ELSE  
--  SET @tabellaDaStoricizzare = 0  
--  
-- SELECT @tabellaDaStoricizzare tabella , @tabella nome  
END