﻿CREATE procedure [C6Staging].[RP_ST_ProgettiPiramideModello] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_ProgettiPiramideModello',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	--INSERT INTO C6MART.TEST_QUALITY	
	--SELECT DISTINCT	 
	--	d.rete,	
	--	case when(isnull(ltrim(rtrim(codman)),'') <> '') then 'FF@'+codman
	--		 when (isnull(codfis,'') <> '') then codfis 	
	--		 else c.piva
	--	end as Cod_fiscale,   
	--	'ProgettiPiramideModello AREE DUPLICATE' AS MOTIVO	 
	--FROM [CONSUNI].[consulenzaUnica].dbo.Contratto a
	--JOIN [CONSUNI].[consulenzaUnica].dbo.ClientePB b 
	--	ON b.chiaveClientePB = a.chiaveClientePB 
	--	AND a.status in ('SEI','AVANZATOBASE','REVOCASEI')
	--JOIN [CONSUNI].[consulenzaUnica].dbo.Cliente c 
	--	ON b.chiaveCliente = c.chiaveCliente 
	--JOIN [CONSUNI].[consulenzaUnica].dbo.PromotoreBancario d 
	--	ON b.chiavePB = d.chiavePB
	--WHERE
	--	A.chiaveclientepb in ( 
	--	select distinct chiaveclientepb 
	--	FROM 
	--	(
	--	SELECT chiaveclientepb,area,tipoprogetto,COUNT(*) as c FROM   
	--	[CONSUNI].[consulenzaUnica].dbo.ProgettiPiramideModello
	--	where tipoprogetto =0 and area <> 'na' and isnull(dtFineValidita,'99991231')>GETDATE()
	--	group by chiaveclientepb,area,tipoprogetto
	--	having COUNT(*)<>1 
	--	) t
	--)  
	--drop table c6staging.RP_ProgettiPiramideModello
	truncate table c6staging.RP_ProgettiPiramideModello
	insert into c6staging.RP_ProgettiPiramideModello
	select  
	   prog.chiaveProgettoMod
      ,pian.chiaveClientePB
      ,am.area
      ,percentualeProgetto
      ,null as tipoProgetto
      ,nomeProgetto
      ,isnull(orizzontetemporale,0) durata
      ,[note]
      ,'99991231' as dtFineValidita
      ,null as [dtCreazione]
	from [CONSUNI].[consulenzaUnica].dbo.ProgettiPiramideModello pirmod
		 inner join [CONSUNI].[consulenzaUnica].dbo.Progetto prog
		 on prog.chiaveprogettoMod = pirmod.chiaveProgettoMod
		 left join [CONSUNI].[consulenzaUnica].dbo.portafogliomodello pormod --modifica inserita il 24/04 per orizzontetemporale non congruente con la PUC online
		 on prog.chiaveptfmod=pormod.chiaveptfmod
		 inner join [CONSUNI].[consulenzaUnica].dbo.AreaModello am
		 on am.chiaveAreaMod = pirmod.ChiaveAreaMod
		 inner join [CONSUNI].[consulenzaUnica].dbo.Area a
		 on a.chiaveArea = prog.chiaveArea
		 inner join [CONSUNI].[consulenzaUnica].dbo.Pianificazione pian 
		 on pian.chiaveconsulenza = a.chiaveconsulenza
   -- update c6staging.RP_ProgettiPiramideModello set nomeProgetto = null where tipoprogetto = 0
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_ProgettiPiramideModello' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_ProgettiPiramideModello'
		)
end