﻿CREATE TABLE [C6Staging].[ALL_POS_CONS_CAT] (
	[CODICE_FISCALE] varchar(128) NULL,
	[RETE] varchar(10) NULL,
	[STATO_CONSULENZA] varchar(256) NULL,
	[DATA_STATO_CONSULENZA] varchar(8) NULL,
	[PK_ALTERNATIVA_CONS] varchar(64) NULL,
	[DATA_MIGRAZIONE_CONS] datetime NULL,
	[PK_AREA] varchar(35) NULL,
	[NEED_AREA_ABBR_DI_AREA] varchar(512) NULL,
	[NEED_AREA_ESTESA_DI_AREA] varchar(512) NULL,
	[C_PERCENTAGE_86095] decimal(19,7) NULL,
	[PK_PRC_] varchar(35) NULL,
	[TIPO_PROGETTO] varchar(256) NULL,
	[C_CTVNEEDARE_EA4FB] decimal(19,7) NULL,
	[C_PROJECTCTV_39520] decimal(19,7) NULL,
	[C_PROJECTOUT_9CFB8] decimal(19,7) NULL,
	[C_RISORSELIQ_DF807] decimal(19,7) NULL,
	[PERCENTUALE_MODELLO] decimal(19,0) NULL,
	[ID_MONITORAGGIO_] varchar(12) NULL,
	[NOME_PROGETTO] varchar(512) NULL,
	[C_PERCENTUAL_12346] decimal(19,7) NULL,
	[DATA_ORDINAMENTO_INV] datetime NULL,
	[CONTRATTO] varchar(20) NULL,
	[CONTROVALORE_PER_INV] decimal(19,7) NULL,
	[C_INVESTIMEN_60625] decimal(19,7) NULL,
	[OID_DI_CATITEMREF] varchar(35) NULL,
	[C_OUTCTV_B4FB8] decimal(19,7) NULL,
	[CONTROVALORE] decimal(19,7) NULL,
	[CONTROV_IN_POS_DEL_PRODOTTO] decimal(18,0) NULL,
	[STRINGONA_POS] varchar(512) NULL,
	[CONTO] varchar(20) NULL,
	[RUBRICATO] varchar(3) NULL,
	[CUSTGAR] varchar(1) NULL,
	[NUMPOL] varchar(20) NULL,
	[TERMID] varchar(7) NULL,
	[ANNO] varchar(3) NULL,
	[PROG] varchar(5) NULL,
	[NOME_PRODOTTO] varchar(512) NULL,
	[NEED_AREA_ABBREVIATA_DI_POS] varchar(512) NULL,
	[NEED_AREA_ESTESA_DI_POS] varchar(512) NULL,
	[CHIAVE_CATITEMREF] varchar(35) NULL,
	[CATALOGUENAME] varchar(128) NULL,
	[COD_ISIN] varchar(18) NULL,
	[COD_MAF] varchar(18) NULL,
	[COD_INTERNO] varchar(18) NULL,
	[COD_SOTTOPRODOTTO] varchar(20) NULL,
	[COD_ADEGUATEZZA] varchar(20) NULL,
	[ALBERATURA] varchar(45) NULL,
	[TIPOPRODOTTO] varchar(20) NULL,
	[ISNEGOTIABLE] decimal(1,0) NULL,
	[MAINASSETCLASS] varchar(2) NULL,
	[AREASORTORDER] decimal(19,0) NULL,
	[ORIGINE_FILE_CATALOGO] varchar(1) NULL,
	[FLAG_PRESENZA_MAPPATURA] varchar(2) NULL,
	[RAGGRUPPAMEN_NOME_PROGET] varchar(64) NULL
)
GO