﻿CREATE VIEW [C6MartPeriodico].[RP_vContrattiPerGenerazioneReport]
AS
--select * from C6StagingPeriodico.APPO_CONTRATTI
--select * from vcontrcong0913 where bloccato is null
--* from appovcontratti0913
select
	distinct 
	a.[chiaveClientePB],
	a.[COD_FISCALE],
	[COD_MANDATO],
	[PIVA_FIDUCIARIA],
	[COD_AGENTE],
	a.[rete],
	[codiceContratto],
	[flagRol],
	[INDIRIZZO],
	[cap],
	[CITTA],
	[PROVINCIA],
	[NAZIONE],
	[presso],
	[email],
	[FREQ_DIAGNOSI],
	isnull([FREQ_MONITORAGGIO], 'T') AS FREQ_MONITORAGGIO,
	[GENERAZIONEREPORT],
	[DATA_INIZIOBASE],
	[DATA_FINEBASE],
	[DATA_PERF_BASE],
	[DATA_PERF],
	[DATA_INZIOAVANZATO],
	[DATA_FINEAVANZATO],
	[RIATTIVAZIONE],
	[TIP_CONTRATTO],
	[TIP_RIATTIVAZIONE],
    [ClienteMIGRATO],
	[RISORSENA],
	[PROFILOATTIVO],
	[NumSolleciti],
	[NumRevoche],
	[Data_ultimoSollecito],
	[Data_ultimaRevoca],
	[InvioBenvenuto]
FROM
C6StagingPeriodico.APPO_CONTRATTI_v a
LEFT JOIN
	(
		SELECT rete, codiceFiscale FROM [C6MartPeriodico].[tb_SegnalazioniDataQuality] 
		GROUP BY rete, codiceFiscale
	) t
ON
	a.rete = t.rete
AND
	a.cod_fiscale = t.codiceFiscale
WHERE 1=1
	and t.codiceFiscale is null