﻿/* Nel giro di email di revoca non si devono recuperare i dati dal SEI (Fabrizio) --
AND (Cod_Fiscale = 'TBNMSM52C01E938I')*/
CREATE VIEW [C6MartPeriodico].[vW6IndPtf]
AS
SELECT distinct v.[DTTRIM]
      ,v.[RETE]
      ,v.[CHIAVE_ACN]
      ,v.[CODFIS]
      ,v.[CODMAN]
      ,v.[PTF_DIVERSIFICATO]
      ,v.[PTF_ADEGUATO]
	  ,case when e.codicefiscale IS NULL then 'N' else 'S' end as [BLACKLIST]
      ,v.[DATA_ORA_INSE]
      ,v.[DATA_ORA_AGGI]
  FROM [C6MartPeriodico].[W6IndPtf] v
  left join [C6MartPeriodico].[ExcludedList] e 
	on    v.RETE=e.Rete and v.CHIAVE_ACN=e.codicefiscale 
      -- FerAcu 20250217 non vanno considerati il BL i casi delle lettere sostitutive
      and e.DescrErr not in ( 'RFA=0', 'RFA Minus', 'BLACKLIST RFA MINUS CLIENTE SEI E IMMOBILIARE', 'Profilo EC', 'Profilo Scaduto')
  -- FerAcu 20241022 modifica temporanea
  --  annullata
  --left join [C6MartPeriodico].ztmp_BL_NonDiversificati e2 on v.RETE=e2.Rete and v.CHIAVE_ACN=e2.codfis
--  -- FerAcu 20241021 per escludere i casi solo immobiliare
--  Where not exists (  select * 
--                      from C6MartPeriodicoImmobiliare.W6IMM imm 
--					  where imm.RETE = v.RETE 
--					    and imm.CODFIS = v.CHIAVE_ACN
--						and imm.FLAG_IN_PERIMETRO='S' 
--						and imm.RENDICONTO_IMM='S'
--				   )
--and c6.cod_fiscale = 'BRZGPP39H08C352F'