﻿CREATE VIEW [C6Mart].[vContrattiSei]
AS
	  SELECT
			VC.chiaveClientePB,
			VC.COD_FISCALE,
			VC.COD_MANDATO,
			VC.PIVA_FIDUCIARIA,
			VC.COD_AGENTE,
			VC.rete,
			VC.codiceContratto,
			VC.flagRol,
			VC.INDIRIZZO,
			VC.cap,
			VC.CITTA,
			VC.PROVINCIA,
			VC.NAZIONE,
			VC.presso,
			VC.email,
			VC.FREQ_DIAGNOSI,
			VC.FREQ_MONITORAGGIO,
			VC.GENERAZIONEREPORT,
			VC.DATA_INIZIOBASE,
			VC.DATA_FINEBASE,
			VC.DATA_PERF_BASE,
			VC.DATA_PERF,
			VC.DATA_INZIOAVANZATO,
			VC.DATA_FINEAVANZATO,
			VC.TIP_CONTRATTO,
			VC.RIATTIVAZIONE,
			VC.TipoConsulenza
			,MD.ClienteMIGRATO	
			,MD.RISORSENA	
			,MD.PROFILOATTIVO	
			,MD.NumSolleciti	
			,MD.NumRevoche	
			,MD.Data_ultimoSollecito	
			,MD.Data_ultimaRevoca	
			,MD.InvioBenvenuto	
			,MD.TIP_CONTRATTO	AS MD_TIP_CONTRATTO
			,MD.TIP_RIATTIVAZIONE 
FROM  c6mart.vcontratti vc
	left join c6mart.contrattosei_metadati md
	on md.chiaveclientepb = vc.chiaveclientepb