﻿--select * from C6MartPeriodico.patrimonio_immobiliare
-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [C6MartPeriodico].[RP_DM_PATRIMONIO_IMMOBILIARE_pre_selective]
AS
BEGIN
	SET NOCOUNT ON;
	DECLARE @ID_ELAB INT
	DECLARE @TIPO_ELAB VARCHAR(1)
	SET @ID_ELAB = C6MartPeriodico.GETIDELAB()
	SET @TIPO_ELAB = C6MartPeriodico.GETTIPOELAB()
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_DM_PATRIMONIO_IMMOBILIARE_pre_selective',
		GETDATE(),
		'Elaborazione trimestrale'
	)
	TRUNCATE TABLE C6MartPeriodico.PATRIMONIO_IMMOBILIARE
	INSERT INTO [C6MartPeriodico].[PATRIMONIO_IMMOBILIARE]
		   ([RETE]
		   ,[COD_FISCALE]
		   ,[DESCRIZIONE]
		   ,[TIPOLOGIA]
		   ,[LOCALITA]
		   ,[PROVINCIA]
		   ,[CAP]
		   ,[NAZIONE]
		   ,[VALORE_STIMATO]
		   ,[AFFITTO]
		   ,[NOTE]
		   ,[DIV_RIFERIMENTO]
		   ,[CAMBIO]
		   ,[ID_ELAB]
		   ,[TIPO_ELAB])
	SELECT 
		C.RETE, --ALL_PATR_TERZI.RETE_PB AS RETE,
		C.COD_FISCALE, --ALL_PATR_TERZI.CODICE_FISCALE AS COD_FISCALE,
		B.DESCRIZIONE, --ALL_PATR_TERZI.DESCRIZIONE_RDESCR AS DESCRIZIONE, --b.descrizione
		B.TIPOLOGIA, 
		B.COMUNE AS COMUNE, --ALL_PATR_TERZI.LOCALITA AS LOCALITA, --comune è null verificare se è corretto
		B.codProvincia AS PROVINCIA, --NULL AS PROVINCIA, --provincia
		NULL AS CAP,
		NULL AS NAZIONE,
		B.VALOREIMMOBILETOTALE, 
		B.RENDITAANNUA, --ALL_PATR_TERZI.AFFITTOPERCEPITO AS AFFITTO, --renditaAnnua
		NULL AS NOTE,
		NULL AS DIV_RIFERIMENTO,
		NULL AS CAMBIO,
		@ID_ELAB AS ID_ELAB,
		@TIPO_ELAB AS TIPO_ELAB
		FROM C6STAGINGPERIODICO.RP_PATRIMONIOTERZI A
		JOIN C6STAGINGPERIODICO.RP_DETTIMMOBILIARE B
			ON A.CHIAVEPRODOTTOTERZI = B.CHIAVEPRODOTTOTERZI
		JOIN [C6MartPeriodico].[RP_vContrattiPerGenerazioneReport] C
			ON A.CHIAVECLIENTEPB = C.CHIAVECLIENTEPB
		WHERE A.IDTIPOPRODOTTO = 'IM'
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_DM_PATRIMONIO_IMMOBILIARE_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_DM_PATRIMONIO_IMMOBILIARE_pre_selective'
		)
END