﻿-- =============================================  
-- Author:  Caruso Fabrizio  
-- Create date: 17/09/2014  
-- Description:   
-- Controllo corretta generazione del campo Data Avvio del Monitoraggio ( dtSalvataggio ) sulla tabella  
-- [C6MartPeriodico].[MONITORAGGIO_INIZIALE]   
-- Impostazione Codice TIPO CONTROLLO per il controllo specifico   
-- ( per riferimenti al tipo controllo verificare tabella "tb_tipocontrollo" )  
-- =============================================  
CREATE procedure [C6MartPeriodico].[SP_DQ_DataAvvioMonitoraggio]  
@idFaseElaborazione int  
AS  
BEGIN  
Declare @idTipoControllo int  
set @idTipoControllo=3     
SELECT  
           V.rete AS RETE,  
           V.COD_FISCALE AS COD_FISCALE,  
           @idTipoControllo idtipocontrollo  
into #TbErrori  
FROM C6StagingPeriodico.appo_contratti_v V   
      INNER JOIN C6STAGINGPERIODICO.RP_MonitoraggioStorico M  
    ON V.chiaveClientePB = M.chiaveClientePB  
 WHERE stato = '2'  
        AND M.dtSalvataggio IS NULL  
declare @idElab  int  
select @idElab=max(id_elab) from  c6martperiodico.elaborazioni  
--select * from c6martperiodico.tb_tipocontrollo  
Insert into C6MartPeriodico.TB_SegnalazioniDataQuality  
(   
idTipoControllo,  
rete,  
codiceFiscale,  
descSegnalazione,  
idElaborazione,  
richiesta,  
idFaseElaborazione)  
select tbErr.idTipoControllo,rete,COD_FISCALE,DescSegnalazione,@idelab,'',@idFaseElaborazione  
from #TbErrori tbErr  
inner join c6martperiodico.tb_tipocontrollo Tipo  
on tbErr.idtipocontrollo = tipo.idTipoControllo  
end