﻿-- =============================================
-- Author:		Paolo Giovanetti
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
--  [C6Mart].[PL_D_S158PiramideModello]  'F','DGSNNZ38T22E435S'
CREATE procedure [C6Mart].[PL_D_S158PiramideModello] 
	@Rete char(1), 
	@CodiceFiscale varchar(16)
AS
BEGIN
		--SELECT BF.NOME_PROGETTO AS NomePrg,
		--	   PIRMOD.ORIZZ_TEMP AS OrizzTempPrg,
		--	   AGGR.VAR_PERC_PTF as VarPrg,
		--	   SUM(BF.CTV)AS ControvalorePrg
		--FROM  C6Mart.PATRIMONIO_BF BF 
		--INNER JOIN C6Mart.RISCHIO_AGGREGATO AGGR
		--	ON BF.RETE= AGGR.RETE
		--	AND BF.COD_FISCALE= AGGR.COD_FISCALE
		--	AND AGGR.COD_AGGREG = 'RISFIN|PIRAMIDE|' + LEFT(BF.ID_AREA,3) + '|' + BF.NOME_PROGETTO
		--INNER JOIN C6Mart.PIRAMIDE_MOD PIRMOD
		--	ON BF.RETE= PIRMOD.RETE
		--	AND BF.COD_FISCALE= PIRMOD.COD_FISCALE
		--	AND BF.ID_AREA = PIRMOD.ID_AREA
		--	AND BF.NOME_PROGETTO = PIRMOD.NOME_PROGETTO
		--WHERE 1=1
		--AND BF.ID_AREA = 'inv'
		--AND BF.RETE = @Rete
		--AND BF.COD_FISCALE = @CodiceFiscale
		--AND BF.CTV > 0
		--group BY BF.NOME_PROGETTO,PIRMOD.ORIZZ_TEMP,AGGR.VAR_PERC_PTF
		SELECT 
			PIRMOD.NOME_PROGETTO AS NomePrg,
			PIRMOD.ORIZZ_TEMP AS OrizzTempPrg,
			ISNULL(T.VAR_PERC_PTF,0) as VarPrg,
			ISNULL(SUM(T.CTV),0) AS ControvalorePrg
	  	FROM  C6Mart.PIRAMIDE_MOD PIRMOD 
		LEFT JOIN
				(SELECT BF.RETE, BF.COD_FISCALE,BF.ID_AREA,BF.NOME_PROGETTO,AGGR.VAR_PERC_PTF,BF.CTV FROM  C6Mart.PATRIMONIO_BF BF 
				INNER JOIN C6Mart.RISCHIO_AGGREGATO AGGR
				ON BF.RETE= AGGR.RETE  
				AND BF.COD_FISCALE= AGGR.COD_FISCALE  
				AND AGGR.COD_AGGREG = 'RISFIN|PIRAMIDE|' + LEFT(BF.ID_AREA,3) + '|' + BF.NOME_PROGETTO) T
			ON	PIRMOD.ID_AREA = T.ID_AREA   
			AND PIRMOD.COD_FISCALE = T.COD_FISCALE
			AND PIRMOD.RETE = T.RETE
			AND PIRMOD.NOME_PROGETTO = T.NOME_PROGETTO
		WHERE	
			PIRMOD.ID_AREA = 'inv'
			AND T.CTV > 0
			AND PIRMOD.RETE = @Rete
			AND PIRMOD.COD_FISCALE = @CodiceFiscale
		GROUP BY PIRMOD.NOME_PROGETTO,PIRMOD.ORIZZ_TEMP,T.VAR_PERC_PTF
END