﻿CREATE procedure [C6StagingPeriodico].[RP_ST_vNewPositionProposta]
as
begin
truncate table [C6StagingPeriodico].[RP_vNewPositionProposta]
insert into [C6StagingPeriodico].[RP_vNewPositionProposta]
select 
	pro.chiaveClientePB,
	ope.nomeProgettoProp,
	ope.areaProp,
	pospro.chiaveProgetto,
	cat.codSottoprodotto,
	cat.codInterno,
	cat.codMaf,
	cat.codIsin,
	cat.tipoProdotto,
    null as positionIdProposta
from 
	C6StagingPeriodico.RP_Proposta pro,
	C6StagingPeriodico.RP_DettaglioOperazione ope, 
	C6StagingPeriodico.RP_PosizioniProposta pospro,
	C6StagingPeriodico.RP_catalogoprodotti cat
where 
	pro.chiaveproposta=ope.chiaveproposta
	and ope.chiaveposizionepro=pospro.chiaveposizionepro
	and pospro.chiaveprodotto=cat.chiaveprodotto
	and ope.chiaveposizioneptf=0--ISANEWPOSITION = 1
	and ope.posriallocata=0--RICONCILIATA = 0
	and pro.status in ('PE','ES')--STATO_PROPOSTA in ('InEsecuzione', 'ParzialmenteEseguita')
end