﻿--select * from [C6StagingPeriodico].[WSEIAN2] where dttrim='20220531' order by 1 desc
--select * from [C6StagingPeriodico].[WSEIDC]
--select * from [C6StagingPeriodico].[WSEIPS]
--select * from [C6StampeCentralizzate].[C6MartPeriodico].[tabellone] where flgprof='s' and cfm_tipo_consul='retail'
CREATE   procedure [C6StagingPeriodico].[agg_wseian2_tabellone]
	as
	begin
	declare @data_ultimo_trimestre varchar(10)
	set @data_ultimo_trimestre= [C6MartPeriodico].[getTrimestre2](getdate(),0) 
	--print @data_ultimo_trimestre
	UPDATE [C6StampeCentralizzate].[C6MartPeriodico].[tabellone]
		set dtinval=try_CONVERT(date,cast(ws.dtinval as varchar) ,23),dtfinval=try_CONVERT(date,cast(ws.dtinval+30000 as varchar) ,23),
		classerc=ws.CLASSERC,codprofec=ws.COD_PROFEC,flagpg=ws.FLAGPG,clcompl=ws.CLCOMPL,
		flgconc=ws.FLGCONC,flagnqp=ws.FLAGNQP,flgprlrde=ws.FLGPRLRDE,flgprof=ws.FLGPROF,codprof=ws.CODPROF,
		concemi=ws.CONCEMI,freq=ws.FREQ,lliquid=ws.LLIQUID,ESG=ws.PREFSOST,Environmental=ws.FLAGAMB,Social=ws.FLAGSOC,Governance=ws.FLAGGOV,
		Riserva=ws.RISERVA,INVL_PERIOD=ws.INVL_PERIOD,ADEGCONC_VALUT=ws.ADEGCONC_VALUT,Coerenza=ws.COERENZA
		from [C6StagingPeriodico].[WSEIAN2] ws
		inner join [C6StampeCentralizzate].[C6MartPeriodico].[tabellone] as a
		on ws.Rete+ws.CodFis=a.chiave_acn
		where ws.codfis<> '' and ws.DTTRIM =@data_ultimo_trimestre
	UPDATE [C6StampeCentralizzate].[C6MartPeriodico].[tabellone]
		set dtinval=try_CONVERT(date,cast(ws.dtinval as varchar) ,23),dtfinval=try_CONVERT(date,cast(ws.dtinval+30000 as varchar) ,23),
		classerc=ws.CLASSERC,codprofec=ws.COD_PROFEC,flagpg=ws.FLAGPG,clcompl=ws.CLCOMPL,
		flgconc=ws.FLGCONC,flagnqp=ws.FLAGNQP,flgprlrde=ws.FLGPRLRDE,flgprof=ws.FLGPROF,codprof=ws.CODPROF,
		concemi=ws.CONCEMI,freq=ws.FREQ,lliquid=ws.LLIQUID,ESG=ws.PREFSOST,Environmental=ws.FLAGAMB,Social=ws.FLAGSOC,Governance=ws.FLAGGOV,
				Riserva=ws.RISERVA,INVL_PERIOD=ws.INVL_PERIOD,ADEGCONC_VALUT=ws.ADEGCONC_VALUT,Coerenza=ws.COERENZA
		from [C6StagingPeriodico].[WSEIAN2] ws
		inner join [C6StampeCentralizzate].[C6MartPeriodico].[tabellone] as a
		on ws.Rete+'FF@'+ws.CODMAN=a.chiave_acn
		where ws.codman <> '' and ws.DTTRIM =@data_ultimo_trimestre
		--ws.DTTRIM in (select max(DTTRIM) from C6StagingPeriodico.WSEIAN2)
		--UPDATE [C6StampeCentralizzate].[C6MartPeriodico].[tabellone]
		--set dtfinval=a.dtinval+30000 --aggiungo 3 anni
		--from [C6StampeCentralizzate].[C6MartPeriodico].[tabellone] as a
		--where dtinval<>0
		update [C6StampeCentralizzate].[C6MartPeriodico].[tabellone]
		set wseidc_tipolett=d.TIPOLETT,wseidc_stato=d.STATO
		from C6StagingPeriodico.WSEIDC d inner join C6MartPeriodico.tabellone t
		on d.Rete+d.CodFis=t.chiave_acn
		where d.codfis<> '' and d.DTTRIM =@data_ultimo_trimestre
		update [C6StampeCentralizzate].[C6MartPeriodico].[tabellone]
		set wseidc_tipolett=d.TIPOLETT,wseidc_stato=d.stato
		from C6StagingPeriodico.WSEIDC d inner join C6MartPeriodico.tabellone t
		on d.Rete+'FF@'+d.CODMAN=t.chiave_acn
		where d.codman <> '' and d.DTTRIM =@data_ultimo_trimestre
		update [C6StampeCentralizzate].[C6MartPeriodico].[tabellone]
		set wseips_flag='S'
		from C6StagingPeriodico.WSEIPS d inner join C6MartPeriodico.tabellone t
		on d.Rete+d.CodFis=t.chiave_acn
		where d.codfis<> '' and d.DTTRIM =@data_ultimo_trimestre
		update [C6StampeCentralizzate].[C6MartPeriodico].[tabellone]
		set wseips_flag='S'
		from C6StagingPeriodico.WSEIPS d inner join C6MartPeriodico.tabellone t
		on d.Rete+'FF@'+d.CODMAN=t.chiave_acn
		where d.codman <> '' and d.DTTRIM =@data_ultimo_trimestre
	--UPDATE [C6StampeCentralizzate].[C6MartPeriodico].[tabellone]
	--set corfa_rfa=w.Patrimoniobancafideuramctv
	--from wh.Maledetti w inner join [C6StampeCentralizzate].[C6MartPeriodico].[tabellone] as a on w.rete+w.CodiceContratto=a.rete_acn
	--UPDATE [C6StampeCentralizzate].[C6MartPeriodico].tabellone
	--set cfm_tipo_consul=(case
	--						when ws.flgprof='S' Then 'PROFESSIONALE'
	--						when ws.flgprof='N' then 'RETAIL'
	--						end)
	--from [C6StagingPeriodico].[WSEIAN2] ws inner join [C6StampeCentralizzate].[C6MartPeriodico].[tabellone] as a
	--	on ws.Rete+ws.CodFis=a.chiave_acn
	--	where ws.codfis<> '' 
	--select * from consuni_periodico.consulenzaunica.dbo.vinfocliente
	--UPDATE [C6StampeCentralizzate].[C6MartPeriodico].tabellone
	--set cfm_tipo_consul=(case
	--						when ws.flgprof='S' Then 'PROFESSIONALE'
	--						when ws.flgprof='N' then 'RETAIL'
	--						end)
	--from [C6StagingPeriodico].[WSEIAN2] ws inner join [C6StampeCentralizzate].[C6MartPeriodico].[tabellone] as a
	--	on ws.Rete+'FF@'+ws.CODMAN=a.chiave_acn
	--	where ws.codman <> '' and a.codman='' 
	--UPDATE [C6StampeCentralizzate].[C6MartPeriodico].[tabellone]
	--set blacklist=tab.DescrErr
	--from [C6MartPeriodico].[ExcludedList] tab inner join
	--[C6StampeCentralizzate].[C6MartPeriodico].[tabellone] as a
	--	on tab.Rete+tab.codicefiscale=a.chiave_acn
	--		select * from wh.maledetti where Patrimoniocomplessivototalectv<>Patrimoniobancafideuramctv
	--select c.RFA-w.Patrimoniobancafideuramctv,c.codicefiscale from wh.maledetti w 
	--inner join c6martperiodico.gestione_pdf_ftp c on w.rete+w.i_CodiceFiscale=c.rete+c.CodiceFiscale
	--where w.Patrimoniocomplessivototalectv<>c.RFA
	--UPDATE [C6StampeCentralizzate].[C6MartPeriodico].[tabellone]
	--	set  wseidc_stato=wd.STATO,wseidc_tipolett=wd.TIPOLETT
	--	from [C6StagingPeriodico].[WSEIDC] wd
	--	inner join [C6StampeCentralizzate].[C6MartPeriodico].[tabellone] as a
	--	on wd.Rete+wd.CodFis=a.chiave_acn	
	--UPDATE [C6StampeCentralizzate].[C6MartPeriodico].[tabellone]
	--	set  wseidc_stato=wd.STATO,wseidc_tipolett=wd.TIPOLETT
	--	from [C6StagingPeriodico].[WSEIDC] wd
	--	inner join [C6StampeCentralizzate].[C6MartPeriodico].[tabellone] as a
	--	on wd.Rete+'FF@'+wd.CODMAN=a.chiave_acn	
	--UPDATE [C6StampeCentralizzate].[C6MartPeriodico].[tabellone]
	--	set  wseips_flag='S'
	--	where chiave_acn in (select rete+codfis from [C6StagingPeriodico].[WSEIPS])
	--UPDATE [C6StampeCentralizzate].[C6MartPeriodico].[tabellone]
	--	set  wseips_flag='S'
	--	where chiave_acn in (select RETE+'FF@'+CODMAN from [C6StagingPeriodico].[WSEIPS])
	truncate table C6MartPeriodico.APPREND_DTSX_Tabellone 
insert into C6MartPeriodico.APPREND_DTSX_Tabellone 
select * from C6MartPeriodico.vTabellone
end