﻿-- Questa sp aggiorna il campo 'beneficio' della [PROMETEIA_AGGR] con il valore del nuovo indicatore dalla nuova tabella PROMETEIA_AGGR_IndDiv
CREATE procedure [C6Staging].[RP_PROM_AGGIORNA_INDICATORE_DIVERSIFICAZIONE]
AS
BEGIN
update [C6Staging].[PROMETEIA_AGGR_IndDiv]
set indicatore = '0.0' where indicatore = '0'
update [C6Staging].[PROMETEIA_AGGR_IndDiv]
set indicatore = '100.0' where indicatore = '100'
-- FerAcu 20240830
update [C6Staging].[PROMETEIA_AGGR_IndDiv]  
set indicatore = RTRIM(indicatore) + '.00' 
where indicatore not like '%.%'
	--aggiorna il beneficio per il COMPLESSIVO
--UPDATE aggr set aggr.beneficio = CAST(LEFT(inddiv.indicatore, CHARINDEX('.', inddiv.indicatore) - 1) + '.' + SUBSTRING(inddiv.indicatore,(CHARINDEX('.',inddiv.indicatore)+1),3) AS DECIMAL(12,3))
--con le replace sostituisco i caratteri speciali a fine testo che mandano in errore il cast quando l'indicatore è = 0.0 - CHAR(13) = cr, CHAR(10) = lf 
UPDATE aggr set aggr.beneficio =  CAST(replace(replace(LEFT(inddiv.indicatore, CHARINDEX('.', inddiv.indicatore) - 1) + '.' + SUBSTRING(inddiv.indicatore,(CHARINDEX('.',inddiv.indicatore)+1),3) , CHAR(13), '0'), CHAR(10), '0')
AS DECIMAL(12,3))
from  
[C6Staging].[PROMETEIA_AGGR] aggr
inner join 
[C6Staging].[PROMETEIA_AGGR_IndDiv] inddiv
on inddiv.rete = aggr.rete and inddiv.cod_fiscale = aggr.codicefiscale 
where aggr.portafoglio = 'COMPLESSIVO'
--aggiorna il beneficio per il COMPLESSIVO|BF
UPDATE aggr set aggr.beneficio =  CAST(replace(replace(LEFT(inddiv.indicatore, CHARINDEX('.', inddiv.indicatore) - 1) + '.' + SUBSTRING(inddiv.indicatore,(CHARINDEX('.',inddiv.indicatore)+1),3) , CHAR(13), '0'), CHAR(10), '0')
AS DECIMAL(12,3))
from  
[C6Staging].[PROMETEIA_AGGR] aggr
inner join 
[C6Staging].[PROMETEIA_AGGR_IndDiv] inddiv
on inddiv.rete = aggr.rete and inddiv.cod_fiscale = aggr.codicefiscale+'_BF' 
where aggr.portafoglio = 'COMPLESSIVO|BF'
--aggiorna il beneficio per il COMPLESSIVO|TERZI
UPDATE aggr set aggr.beneficio =  CAST(replace(replace(LEFT(inddiv.indicatore, CHARINDEX('.', inddiv.indicatore) - 1) + '.' + SUBSTRING(inddiv.indicatore,(CHARINDEX('.',inddiv.indicatore)+1),3) , CHAR(13), '0'), CHAR(10), '0')
AS DECIMAL(12,3))
from  
[C6Staging].[PROMETEIA_AGGR] aggr
inner join 
[C6Staging].[PROMETEIA_AGGR_IndDiv] inddiv
on inddiv.rete = aggr.rete and inddiv.cod_fiscale = aggr.codicefiscale+'_TERZI' 
where aggr.portafoglio = 'COMPLESSIVO|TERZI'
END