﻿CREATE TABLE [C6Mart].[ANAG_CONTRATTI_ASS] (
	[RETE] varchar(1) NOT NULL,
	[COD_FISCALE] varchar(16) NOT NULL,
	[NUM_POLIZZA] varchar(20) NOT NULL,
	[ID_CONTRATTO] varchar(20) NOT NULL,
	[TIPO_PRODOTTO] varchar(50) NULL,
	[PREMIO] decimal(15,3) NULL,
	[IMPORTO_RATA] decimal(15,3) NULL,
	[FREQ_RATA] smallint NULL,
	[IMPORTO_ASSICURATO] decimal(15,3) NULL,
	[DURATA_POLIZZA] smallint NULL,
	[ALIQUOTA] decimal(5,2) NULL,
	[COD_SOTTOPRODOTTO] varchar(30) NOT NULL,
	[COD_INTERNO] varchar(20) NULL,
	[DATA_APERTURA] datetime NULL,
	[DATA_CHIUSURA] datetime NULL,
	[INTERMEDIARIO] varchar(50) NULL,
	[STATO] varchar(20) NULL,
	[DIV_RIFERIMENTO] varchar(3) NULL,
	[CAMBIO] decimal(8,3) NULL,
	[ID_ELAB] int NULL,
	[TIPO_ELAB] varchar(1) NULL
)
ALTER TABLE [C6Mart].[ANAG_CONTRATTI_ASS] ADD CONSTRAINT [PK__ANAG_CONTRATTI_A__2A164134] PRIMARY KEY CLUSTERED ([RETE],[COD_FISCALE],[NUM_POLIZZA],[ID_CONTRATTO],[COD_SOTTOPRODOTTO])
GO